var searchData=
[
  ['effects_0',['Macros with major effects',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor',1,'']]],
  ['efficient_20matrix_20product_20expressions_1',['Writing efficient matrix product expressions',['../TopicWritingEfficientProductExpression.html',1,'UnclassifiedPages']]],
  ['eigen_2',['Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'Catalogue of decompositions offered by Eigen'],['../namespaceEigen.html',1,'Eigen'],['../Experimental.html',1,'Experimental parts of Eigen'],['../TopicEigenExpressionTemplates.html',1,'Expression templates in Eigen'],['../UserManual_CustomizingEigen.html',1,'Extending/Customizing Eigen'],['../GettingStarted.html#GettingStartedInstallation',1,'How to &quot;install&quot; Eigen?'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_bugineigen',1,'So is this a bug in Eigen?'],['../group__TopicStorageOrders.html#TopicStorageOrdersInEigen',1,'Storage orders in Eigen'],['../UserManual_UnderstandingEigen.html',1,'Understanding Eigen'],['../TopicUsingBlasLapack.html',1,'Using BLAS/LAPACK from Eigen'],['../TopicUsingIntelMKL.html',1,'Using Intel® MKL from Eigen'],['../group__TopicStlContainers.html',1,'Using STL Containers with Eigen']]],
  ['eigen_20and_20multi_20threading_3',['Eigen and multi-threading',['../TopicMultiThreading.html',1,'UserManual_Generalities']]],
  ['eigen_20developers_4',['Macros for Eigen developers',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesDevelopers',1,'']]],
  ['eigen_20in_20a_20multi_20threaded_20application_5',['Using Eigen in a multi-threaded application',['../TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT',1,'']]],
  ['eigen_20in_20cmake_20projects_6',['Using Eigen in CMake Projects',['../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['eigen_20in_20cuda_20kernels_7',['Using Eigen in CUDA kernels',['../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['eigen_20members_8',['Structures Having Eigen Members',['../group__TopicStructHavingEigenMembers.html',1,'']]],
  ['eigen_20objects_9',['Fixed-size vectorizable Eigen objects',['../group__TopicFixedSizeVectorizable.html',1,'']]],
  ['eigen_20objects_20as_20members_10',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['eigen_20objects_20by_20value_11',['Cause 3: Passing Eigen objects by value',['../group__TopicUnalignedArrayAssert.html#c3',1,'']]],
  ['eigen_20objects_20by_20value_20to_20functions_12',['Passing Eigen objects by value to functions',['../group__TopicPassingByValue.html',1,'']]],
  ['eigen_20on_20a_20simple_20example_13',['What happens inside Eigen, on a simple example',['../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['eigen_20run_20in_20parallel_14',['Make Eigen run in parallel',['../TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT',1,'']]],
  ['eigen_20types_15',['An alternative - specializing std::vector for Eigen types',['../group__TopicStlContainers.html#vector_spec',1,'']]],
  ['eigen_20types_20as_20parameters_16',['Writing Functions Taking Eigen Types as Parameters',['../TopicFunctionTakingEigenTypes.html',1,'UserManual_Generalities']]],
  ['eigen_20types_20at_20the_20beginning_20of_20my_20class_17',['Should I then put all the members of Eigen types at the beginning of my class?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'']]],
  ['eigen_3a_3aindexing_18',['indexing',['../namespaceEigen_1_1indexing.html',1,'Eigen']]],
  ['eigen_3a_3asymbolic_19',['symbolic',['../namespaceEigen_1_1symbolic.html',1,'Eigen']]],
  ['eigen_5fexpr_5fbinaryop_5fscalar_5freturn_5ftype_20',['EIGEN_EXPR_BINARYOP_SCALAR_RETURN_TYPE',['../classEigen_1_1AlignedBox.html#ab4950605c14c530c2d56c75f0e253d10',1,'Eigen::AlignedBox']]],
  ['eigen_5fmake_5faligned_5foperator_5fnew_5fif_5fvectorizable_5ffixed_5fsize_21',['EIGEN_MAKE_ALIGNED_OPERATOR_NEW_IF_VECTORIZABLE_FIXED_SIZE',['../classEigen_1_1Transform.html#a30c94c2156e9345f4bdb6cc9661e275b',1,'Eigen::Transform']]],
  ['eigenbase_22',['EigenBase',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20bandmatrix_3c_20_5fscalar_2c_20rows_2c_20cols_2c_20supers_2c_20subs_2c_20options_20_3e_20_3e_23',['EigenBase&lt; BandMatrix&lt; _Scalar, Rows, Cols, Supers, Subs, Options &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20bandmatrixwrapper_3c_20_5fcoefficientstype_2c_20_5frows_2c_20_5fcols_2c_20_5fsupers_2c_20_5fsubs_2c_20_5foptions_20_3e_20_3e_24',['EigenBase&lt; BandMatrixWrapper&lt; _CoefficientsType, _Rows, _Cols, _Supers, _Subs, _Options &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20block_3c_20const_20sparsematrix_3c_20_5fscalar_2c_20_5foptions_2c_20_5fstorageindex_20_3e_2c_20blockrows_2c_20blockcols_2c_20true_20_3e_20_3e_25',['EigenBase&lt; Block&lt; const SparseMatrix&lt; _Scalar, _Options, _StorageIndex &gt;, BlockRows, BlockCols, true &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20block_3c_20sparsematrix_3c_20_5fscalar_2c_20_5foptions_2c_20_5fstorageindex_20_3e_2c_20blockrows_2c_20blockcols_2c_20true_20_3e_20_3e_26',['EigenBase&lt; Block&lt; SparseMatrix&lt; _Scalar, _Options, _StorageIndex &gt;, BlockRows, BlockCols, true &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20block_3c_20xprtype_2c_20blockrows_2c_20blockcols_2c_20innerpanel_20_3e_20_3e_27',['EigenBase&lt; Block&lt; XprType, BlockRows, BlockCols, InnerPanel &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20block_3c_20xprtype_2c_20blockrows_2c_20blockcols_2c_20true_20_3e_20_3e_28',['EigenBase&lt; Block&lt; XprType, BlockRows, BlockCols, true &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20colpivhouseholderqr_3c_20_5fmatrixtype_20_3e_20_3e_29',['EigenBase&lt; ColPivHouseholderQR&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20completeorthogonaldecomposition_3c_20_5fmatrixtype_20_3e_20_3e_30',['EigenBase&lt; CompleteOrthogonalDecomposition&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20cwisebinaryop_3c_20binaryop_2c_20lhs_2c_20rhs_20_3e_20_3e_31',['EigenBase&lt; CwiseBinaryOp&lt; BinaryOp, Lhs, Rhs &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20fullpivhouseholderqr_3c_20_5fmatrixtype_20_3e_20_3e_32',['EigenBase&lt; FullPivHouseholderQR&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20fullpivlu_3c_20_5fmatrixtype_20_3e_20_3e_33',['EigenBase&lt; FullPivLU&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20householderqr_3c_20_5fmatrixtype_20_3e_20_3e_34',['EigenBase&lt; HouseholderQR&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20householdersequence_3c_20vectorstype_2c_20coeffstype_2c_20side_20_3e_20_3e_35',['EigenBase&lt; HouseholderSequence&lt; VectorsType, CoeffsType, Side &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20inverse_3c_20permutationtype_20_3e_20_3e_36',['EigenBase&lt; Inverse&lt; PermutationType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20ldlt_3c_20_5fmatrixtype_2c_20_5fuplo_20_3e_20_3e_37',['EigenBase&lt; LDLT&lt; _MatrixType, _UpLo &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20llt_3c_20_5fmatrixtype_2c_20_5fuplo_20_3e_20_3e_38',['EigenBase&lt; LLT&lt; _MatrixType, _UpLo &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20map_3c_20permutationmatrix_3c_20sizeatcompiletime_2c_20maxsizeatcompiletime_2c_20_5fstorageindex_20_3e_2c_20_5fpacketaccess_20_3e_20_3e_39',['EigenBase&lt; Map&lt; PermutationMatrix&lt; SizeAtCompileTime, MaxSizeAtCompileTime, _StorageIndex &gt;, _PacketAccess &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20partialpivlu_3c_20_5fmatrixtype_20_3e_20_3e_40',['EigenBase&lt; PartialPivLU&lt; _MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20permutationmatrix_3c_20sizeatcompiletime_2c_20maxsizeatcompiletime_2c_20_5fstorageindex_20_3e_20_3e_41',['EigenBase&lt; PermutationMatrix&lt; SizeAtCompileTime, MaxSizeAtCompileTime, _StorageIndex &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20permutationwrapper_3c_20_5findicestype_20_3e_20_3e_42',['EigenBase&lt; PermutationWrapper&lt; _IndicesType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20selfadjointview_3c_20_5fmatrixtype_2c_20uplo_20_3e_20_3e_43',['EigenBase&lt; SelfAdjointView&lt; _MatrixType, UpLo &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparsematrix_3c_20_5fscalar_2c_20_5foptions_2c_20_5fstorageindex_20_3e_20_3e_44',['EigenBase&lt; SparseMatrix&lt; _Scalar, _Options, _StorageIndex &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparseqrmatrixqreturntype_3c_20sparseqrtype_20_3e_20_3e_45',['EigenBase&lt; SparseQRMatrixQReturnType&lt; SparseQRType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparseselfadjointview_20_3e_46',['EigenBase&lt; SparseSelfAdjointView &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparseselfadjointview_3c_20matrixtype_2c_20_5fmode_20_3e_20_3e_47',['EigenBase&lt; SparseSelfAdjointView&lt; MatrixType, _Mode &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparsesymmetricpermutationproduct_3c_20matrixtype_2c_20mode_20_3e_20_3e_48',['EigenBase&lt; SparseSymmetricPermutationProduct&lt; MatrixType, Mode &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparsevector_3c_20_5fscalar_2c_20_5foptions_2c_20_5fstorageindex_20_3e_20_3e_49',['EigenBase&lt; SparseVector&lt; _Scalar, _Options, _StorageIndex &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparseview_3c_20matrixtype_20_3e_20_3e_50',['EigenBase&lt; SparseView&lt; MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20svdbase_3c_20bdcsvd_3c_20_5fmatrixtype_20_3e_20_3e_20_3e_51',['EigenBase&lt; SVDBase&lt; BDCSVD&lt; _MatrixType &gt; &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20svdbase_3c_20jacobisvd_3c_20_5fmatrixtype_2c_20qrpreconditioner_20_3e_20_3e_20_3e_52',['EigenBase&lt; SVDBase&lt; JacobiSVD&lt; _MatrixType, QRPreconditioner &gt; &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20transpose_3c_20matrixtype_20_3e_20_3e_53',['EigenBase&lt; Transpose&lt; MatrixType &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20triangularview_3c_20_5fmatrixtype_2c_20_5fmode_20_3e_20_3e_54',['EigenBase&lt; TriangularView&lt; _MatrixType, _Mode &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20triangularview_3c_20matrixtype_2c_20mode_20_3e_20_3e_55',['EigenBase&lt; TriangularView&lt; MatrixType, Mode &gt; &gt;',['../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigensolver_56',['EigenSolver',['../classEigen_1_1EigenSolver.html',1,'Eigen::EigenSolver&lt; _MatrixType &gt;'],['../classEigen_1_1EigenSolver.html#a3af22d721a6401365881b2ef252d26aa',1,'Eigen::EigenSolver::EigenSolver()'],['../classEigen_1_1EigenSolver.html#aa4edf56ecc178b277b75c13a2ca1089f',1,'Eigen::EigenSolver::EigenSolver(Index size)'],['../classEigen_1_1EigenSolver.html#a7e8ab3d89ea525af5f27f1a8e805fae1',1,'Eigen::EigenSolver::EigenSolver(const EigenBase&lt; InputType &gt; &amp;matrix, bool computeEigenvectors=true)']]],
  ['eigenvalues_57',['eigenvalues',['../classEigen_1_1MatrixBase.html#a30430fa3d5b4e74d312fd4f502ac984d',1,'Eigen::MatrixBase::eigenvalues()'],['../classEigen_1_1SelfAdjointView.html#ad4f34424b4ea12de9bbc5623cb938b4f',1,'Eigen::SelfAdjointView::eigenvalues()'],['../classEigen_1_1ComplexEigenSolver.html#a021de3dc1f37d4426a639eea39f9caae',1,'Eigen::ComplexEigenSolver::eigenvalues()'],['../classEigen_1_1EigenSolver.html#ae33fb99005024f07005ab1e409413c5f',1,'Eigen::EigenSolver::eigenvalues()'],['../classEigen_1_1GeneralizedEigenSolver.html#a62f01cd78271efd5e39bcb24e0fe1a58',1,'Eigen::GeneralizedEigenSolver::eigenvalues()'],['../classEigen_1_1SelfAdjointEigenSolver.html#a469df89748bdc2886b3b9f425050e408',1,'Eigen::SelfAdjointEigenSolver::eigenvalues()']]],
  ['eigenvalues_20and_20eigenvectors_58',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['eigenvalues_20module_59',['Eigenvalues module',['../group__Eigenvalues__Module.html',1,'']]],
  ['eigenvaluesonly_60',['EigenvaluesOnly',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9afd06633f270207c373875fd7ca03e906',1,'Eigen']]],
  ['eigenvaluesreturntype_61',['EigenvaluesReturnType',['../classEigen_1_1SelfAdjointView.html#a8ae92703d920130b38a383f8b165146c',1,'Eigen::SelfAdjointView']]],
  ['eigenvaluetype_62',['EigenvalueType',['../classEigen_1_1ComplexEigenSolver.html#ad3a663b1ff5200a098dabbbf9b7162b1',1,'Eigen::ComplexEigenSolver::EigenvalueType'],['../classEigen_1_1EigenSolver.html#adc446bcb60572758fa64515f2825db62',1,'Eigen::EigenSolver::EigenvalueType'],['../classEigen_1_1GeneralizedEigenSolver.html#ad59af178acc401f1bc4e330ef80f286d',1,'Eigen::GeneralizedEigenSolver::EigenvalueType']]],
  ['eigenvectors_63',['eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'Computing eigenvalues and eigenvectors'],['../classEigen_1_1ComplexEigenSolver.html#a3f455e33d41cde76f622f9b21f536be3',1,'Eigen::ComplexEigenSolver::eigenvectors()'],['../classEigen_1_1EigenSolver.html#a66288022802172e3ee059283b26201d7',1,'Eigen::EigenSolver::eigenvectors()'],['../classEigen_1_1SelfAdjointEigenSolver.html#a7262e7a4a8c4b87b4a8d8e6937ba972c',1,'Eigen::SelfAdjointEigenSolver::eigenvectors()']]],
  ['eigenvectorstype_64',['EigenvectorsType',['../classEigen_1_1EigenSolver.html#aa140354e2f7d5ce34c6488c39e19f2c2',1,'Eigen::EigenSolver::EigenvectorsType'],['../classEigen_1_1GeneralizedEigenSolver.html#afffec018dbb2d87b4c09b6acecbb79cd',1,'Eigen::GeneralizedEigenSolver::EigenvectorsType']]],
  ['eigenvectortype_65',['EigenvectorType',['../classEigen_1_1ComplexEigenSolver.html#a67cd4d20590abfd86b2639c4c8ea3dd6',1,'Eigen::ComplexEigenSolver']]],
  ['end_66',['end',['../classEigen_1_1DenseBase.html#ae71d079e16d91360d10066b316b48485',1,'Eigen::DenseBase::end()'],['../classEigen_1_1DenseBase.html#ab34773522e43bfb02e9cf652d7b5dd60',1,'Eigen::DenseBase::end() const'],['../classEigen_1_1VectorwiseOp.html#a9d189042b8322e40772d41c63b9d3bb5',1,'Eigen::VectorwiseOp::end()'],['../classEigen_1_1VectorwiseOp.html#ad3b0dcb34bb4903ffa1ab3634188ecff',1,'Eigen::VectorwiseOp::end() const']]],
  ['entry_20point_67',['The entry point',['../TopicNewExpressionType.html#TopicEntry',1,'']]],
  ['enumerations_68',['Enumerations',['../group__enums.html',1,'']]],
  ['equations_69',['Using normal equations',['../group__LeastSquares.html#LeastSquaresNormalEquations',1,'']]],
  ['erf_70',['erf',['../classEigen_1_1ArrayBase.html#aa66c066b3ae58005ede6df1008cbdb63',1,'Eigen::ArrayBase::erf()'],['../namespaceEigen.html#a99d3d46bf05159534e33bdb770dc51d1',1,'Eigen::erf()']]],
  ['erfc_71',['erfc',['../classEigen_1_1ArrayBase.html#a61cd99ac8047071026baaa370ef8dff1',1,'Eigen::ArrayBase::erfc()'],['../namespaceEigen.html#abf2bdec1823f6161e7b6242cda04cd47',1,'Eigen::erfc()']]],
  ['error_72',['error',['../classEigen_1_1IterativeSolverBase.html#a117c241af3fb1141ad0916a3cf3157ec',1,'Eigen::IterativeSolverBase']]],
  ['error_20with_20template_20methods_73',['Compilation error with template methods',['../TopicPitfalls.html#TopicPitfalls_template_keyword',1,'']]],
  ['essentialvector_74',['essentialVector',['../classEigen_1_1HouseholderSequence.html#ac91cf37b0cbea9e504c89e021fd289ba',1,'Eigen::HouseholderSequence']]],
  ['euler_20angles_75',['Euler angles',['../group__TutorialGeometry.html#TutorialGeoEulerAngles',1,'']]],
  ['eulerangles_76',['eulerAngles',['../group__Geometry__Module.html#ga17994d2e81b723295f5bc3b1f862ed3b',1,'Eigen::MatrixBase']]],
  ['eval_77',['eval',['../classEigen_1_1DenseBase.html#aa73e57a2f0f7cfcb4ad4d55ea0b6414b',1,'Eigen::DenseBase::eval()'],['../classEigen_1_1symbolic_1_1BaseExpr.html#a4149f50157823063e59c18ce04ed2496',1,'Eigen::symbolic::BaseExpr::eval()'],['../classEigen_1_1SparseMatrixBase.html#adef28adeb655eacfc605255b25db0282',1,'Eigen::SparseMatrixBase::eval()']]],
  ['evalbeforeassigningbit_78',['EvalBeforeAssigningBit',['../group__flags.html#ga0972b20dc004d13984e642b3bd12532e',1,'Eigen']]],
  ['evalbeforenestingbit_79',['EvalBeforeNestingBit',['../group__flags.html#gaa34e83bae46a8eeae4e69ebe3aaecbed',1,'Eigen']]],
  ['evalto_80',['evalTo',['../classEigen_1_1TriangularBase.html#a604d4f76a376ced36f8b9c3374c76c3e',1,'Eigen::TriangularBase']]],
  ['evaltolazy_81',['evalToLazy',['../classEigen_1_1TriangularBase.html#ab8db3e55eee50cdc56650b3498e235eb',1,'Eigen::TriangularBase::evalToLazy()'],['../classEigen_1_1TriangularViewImpl_3_01__MatrixType_00_01__Mode_00_01Dense_01_4.html#ad192611ac19bf181150ca1dbd3ad699e',1,'Eigen::TriangularViewImpl&lt; _MatrixType, _Mode, Dense &gt;::evalToLazy()']]],
  ['evaluated_20into_20temporaries_82',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['evaluation_20and_20aliasing_83',['Lazy Evaluation and Aliasing',['../TopicLazyEvaluation.html',1,'UserManual_UnderstandingEigen']]],
  ['evaluator_84',['The evaluator',['../TopicNewExpressionType.html#TopicEvaluator',1,'']]],
  ['example_85',['example',['../GettingStarted.html#GettingStartedExplanation2',1,'Explanation of the second example'],['../group__TutorialSparse.html#TutorialSparseExample',1,'First example'],['../TopicInsideEigenExample.html',1,'What happens inside Eigen, on a simple example']]],
  ['example_201_3a_20circulant_20matrix_86',['Example 1: circulant matrix',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Circulant',1,'']]],
  ['example_202_3a_20indexing_20rows_20and_20columns_87',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['example_202_3a_20matrices_20and_20vectors_88',['Example 2: Matrices and vectors',['../GettingStarted.html#GettingStartedExample2',1,'']]],
  ['example_20showing_20the_20second_20use_20of_20the_20template_20keyword_89',['An example showing the second use of the template keyword',['../TopicTemplateKeyword.html#TopicTemplateKeywordExample',1,'']]],
  ['examples_90',['Examples',['../group__TopicAliasing.html#TopicAliasingExamples',1,'Examples'],['../TopicFunctionTakingEigenTypes.html#TopicFirstExamples',1,'Some First Examples']]],
  ['executive_20summary_91',['Executive Summary',['../group__TopicFixedSizeVectorizable.html#FixedSizeVectorizable_summary',1,'Executive Summary'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_summary',1,'Executive Summary']]],
  ['executive_20summary_92',['Executive summary',['../group__TopicStlContainers.html#StlContainers_summary',1,'']]],
  ['exp_93',['exp',['../classEigen_1_1ArrayBase.html#a555df413a093a7dea1bf59253189c815',1,'Eigen::ArrayBase::exp()'],['../classEigen_1_1MatrixBase.html#a3da5e87e1c395b477b1f79cbb8a5cf69',1,'Eigen::MatrixBase::exp()'],['../namespaceEigen.html#a2c2f944282abd2cc2a23ef62fe4ddd29',1,'Eigen::exp()']]],
  ['experimental_20modules_94',['Experimental modules',['../Experimental.html#Experimental_modules',1,'']]],
  ['experimental_20parts_20of_20eigen_95',['Experimental parts of Eigen',['../Experimental.html',1,'UnclassifiedPages']]],
  ['experimental_20parts_20of_20the_20core_20module_96',['Experimental parts of the Core module',['../Experimental.html#Experimental_core',1,'']]],
  ['explanation_97',['Explanation',['../group__TopicFixedSizeVectorizable.html#FixedSizeVectorizable_explanation',1,'Explanation'],['../TopicTemplateKeyword.html#TopicTemplateKeywordExplanation',1,'Explanation']]],
  ['explanation_20of_20the_20assertion_20on_20unaligned_20arrays_98',['Explanation of the assertion on unaligned arrays',['../group__TopicUnalignedArrayAssert.html',1,'']]],
  ['explanation_20of_20the_20first_20program_99',['Explanation of the first program',['../GettingStarted.html#GettingStartedExplanation',1,'']]],
  ['explanation_20of_20the_20second_20example_100',['Explanation of the second example',['../GettingStarted.html#GettingStartedExplanation2',1,'']]],
  ['explanation_20of_20this_20assertion_101',['General explanation of this assertion',['../group__TopicUnalignedArrayAssert.html#explanation',1,'']]],
  ['expm1_102',['expm1',['../classEigen_1_1ArrayBase.html#a5b3a8efed7e0a163b414c2b57b399cb5',1,'Eigen::ArrayBase::expm1()'],['../namespaceEigen.html#a235e4f5f6dbb4bb1aca26ed6f80a4ad5',1,'Eigen::expm1()']]],
  ['expression_103',['Construction of the sum expression',['../TopicInsideEigenExample.html#ConstructionOfSumXpr',1,'']]],
  ['expression_20class_104',['The expression class',['../TopicNewExpressionType.html#TopicExpression',1,'']]],
  ['expression_20templates_105',['A note about expression templates',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticMentionXprTemplates',1,'']]],
  ['expression_20templates_20in_20eigen_106',['Expression templates in Eigen',['../TopicEigenExpressionTemplates.html',1,'UnclassifiedPages']]],
  ['expression_20type_107',['Adding a new expression type',['../TopicNewExpressionType.html',1,'UserManual_CustomizingEigen']]],
  ['expressions_108',['expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'Converting between array and matrix expressions'],['../TopicCustomizing_NullaryExpr.html',1,'Matrix manipulation via nullary-expressions'],['../TopicWritingEfficientProductExpression.html',1,'Writing efficient matrix product expressions']]],
  ['expressions_20are_20evaluated_20into_20temporaries_109',['Which sub-expressions are evaluated into temporaries?',['../TopicLazyEvaluation.html#TopicLazyEvaluationWhichExpr',1,'']]],
  ['extend_110',['extend',['../classEigen_1_1AlignedBox.html#a0ad4167a69dafdfbf68c349c4593a4a1',1,'Eigen::AlignedBox::extend(const MatrixBase&lt; Derived &gt; &amp;p)'],['../classEigen_1_1AlignedBox.html#ad8e1b5d6548371d877c0dd613a7e7ca0',1,'Eigen::AlignedBox::extend(const AlignedBox &amp;b)']]],
  ['extending_20customizing_20eigen_111',['Extending/Customizing Eigen',['../UserManual_CustomizingEigen.html',1,'index']]],
  ['extending_20matrixbase_20and_20other_20classes_112',['Extending MatrixBase (and other classes)',['../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['exteriordistance_113',['exteriorDistance',['../classEigen_1_1AlignedBox.html#a3915f625f0e57029ea27ace34aff29b2',1,'Eigen::AlignedBox::exteriorDistance(const MatrixBase&lt; Derived &gt; &amp;p) const'],['../classEigen_1_1AlignedBox.html#afb3b43bab1d84a95e7a515ca854cda70',1,'Eigen::AlignedBox::exteriorDistance(const AlignedBox &amp;b) const']]],
  ['external_20arrays_114',['Mapping external arrays',['../group__QuickRefPage.html#QuickRef_Map',1,'']]],
  ['external_20solvers_115',['Wrappers to external solvers',['../group__TopicSparseSystems.html#TutorialSparseSolverList_Wrapper',1,'']]]
];
