var searchData=
[
  ['c_0',['The template and typename keywords in C++',['../TopicTemplateKeyword.html',1,'UserManual_Generalities']]],
  ['c_2011_20and_20the_20auto_20keyword_1',['C++11 and the auto keyword',['../TopicPitfalls.html#TopicPitfalls_auto_keyword',1,'']]],
  ['c_20standard_20features_2',['C++ standard features',['../TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesCppVersion',1,'']]],
  ['can_20i_20check_20my_20code_20is_20safe_20regarding_20alignment_20issues_3',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['care_20about_20optimal_20vectorization_20how_20do_20i_20get_20rid_20of_20that_20stuff_4',['I don&apos;t care about optimal vectorization, how do I get rid of that stuff?',['../group__TopicUnalignedArrayAssert.html#getrid',1,'']]],
  ['case_20of_20std_3a_3avector_5',['The case of std::vector',['../group__TopicStlContainers.html#StlContainers_vector',1,'']]],
  ['cases_20do_20functions_20taking_20a_20plain_20matrix_20or_20array_20argument_20fail_6',['In which cases do functions taking a plain Matrix or Array argument fail?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing',1,'']]],
  ['cases_20do_20functions_20taking_20plain_20matrix_20or_20array_20arguments_20work_7',['In which cases do functions taking plain Matrix or Array arguments work?',['../TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking',1,'']]],
  ['cast_8',['cast',['../classEigen_1_1DenseBase.html#accde58ae2e2693efab7f5489d2652803',1,'Eigen::DenseBase::cast()'],['../classEigen_1_1AlignedBox.html#a3ac42300efac64a3a87ea99063d3f1d6',1,'Eigen::AlignedBox::cast()'],['../classEigen_1_1AngleAxis.html#ab6ff6b8486dbb0d4eeacf9715ba8924d',1,'Eigen::AngleAxis::cast()'],['../classEigen_1_1Hyperplane.html#ad428230cbce4edbf30d19bcb4d33800f',1,'Eigen::Hyperplane::cast()'],['../classEigen_1_1ParametrizedLine.html#ae55144d8c4c42d34a958b60d887a7e9f',1,'Eigen::ParametrizedLine::cast()'],['../classEigen_1_1QuaternionBase.html#a21e9addfe9297ef54ee283c44da86da8',1,'Eigen::QuaternionBase::cast()'],['../classEigen_1_1Rotation2D.html#ab7fe1f929eed11e100e7f02d98848b0b',1,'Eigen::Rotation2D::cast()'],['../classEigen_1_1UniformScaling.html#a37d3fba92650c77f9db390f12d83c45c',1,'Eigen::UniformScaling::cast()'],['../classEigen_1_1Transform.html#a5f4e2bfdc25adc38ea89a5527fc9405f',1,'Eigen::Transform::cast()'],['../classEigen_1_1Translation.html#a09f961bfe5b5d5fa9fc02636dece37b9',1,'Eigen::Translation::cast()'],['../classEigen_1_1SparseMatrixBase.html#a9ce2e8bf1fdfde576c8099a787c5f149',1,'Eigen::SparseMatrixBase::cast()']]],
  ['catalog_20of_20coefficient_20wise_20math_20functions_9',['Catalog of coefficient-wise math functions',['../group__CoeffwiseMathFunctions.html',1,'']]],
  ['catalogue_20of_20decompositions_20offered_20by_20eigen_10',['Catalogue of decompositions offered by Eigen',['../group__TopicLinearAlgebraDecompositions.html#TopicLinAlgBigTable',1,'']]],
  ['catalogue_20of_20dense_20decompositions_11',['Catalogue of dense decompositions',['../group__TopicLinearAlgebraDecompositions.html',1,'']]],
  ['cause_201_3a_20structures_20having_20eigen_20objects_20as_20members_12',['Cause 1: Structures having Eigen objects as members',['../group__TopicUnalignedArrayAssert.html#c1',1,'']]],
  ['cause_202_3a_20stl_20containers_20or_20manual_20memory_20allocation_13',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['cause_203_3a_20passing_20eigen_20objects_20by_20value_14',['Cause 3: Passing Eigen objects by value',['../group__TopicUnalignedArrayAssert.html#c3',1,'']]],
  ['cause_204_3a_20compiler_20making_20a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_15',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['cause_20of_20the_20problem_16',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['cbegin_17',['cbegin',['../classEigen_1_1DenseBase.html#ae9a3dfd9b826ba3103de0128576fb15b',1,'Eigen::DenseBase::cbegin()'],['../classEigen_1_1VectorwiseOp.html#a7b237a2b46479de5c905d2bcc54f34c4',1,'Eigen::VectorwiseOp::cbegin()']]],
  ['ceil_18',['ceil',['../classEigen_1_1ArrayBase.html#ac59f067b13a0d3c340d70f72ad93b403',1,'Eigen::ArrayBase::ceil()'],['../namespaceEigen.html#afb2b0a15088b096ef54e4457158e0494',1,'Eigen::ceil()']]],
  ['cend_19',['cend',['../classEigen_1_1DenseBase.html#aeb3b76f02986c2af2521d07164b5ffde',1,'Eigen::DenseBase::cend()'],['../classEigen_1_1VectorwiseOp.html#a57859b88a32b8b393a427c4cab3581a7',1,'Eigen::VectorwiseOp::cend()']]],
  ['changed_20',['What kind of code needs to be changed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_what',1,'']]],
  ['changing_20the_20mapped_20array_21',['Changing the mapped array',['../group__TutorialMapClass.html#TutorialMapPlacementNew',1,'']]],
  ['check_20my_20code_20is_20safe_20regarding_20alignment_20issues_22',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['checking_20if_20a_20matrix_20is_20singular_23',['Checking if a matrix is singular',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSolutionExists',1,'']]],
  ['cholesky_20module_24',['Cholesky module',['../group__Cholesky__Module.html',1,'']]],
  ['cholmod_25',['cholmod',['../classEigen_1_1CholmodBase.html#a0621678c5b47923edaa436b0ce2db196',1,'Eigen::CholmodBase']]],
  ['cholmodbase_26',['CholmodBase',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20_5fuplo_2c_20cholmoddecomposition_20_3e_27',['CholmodBase&lt; _MatrixType, _UpLo, CholmodDecomposition &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20_5fuplo_2c_20cholmodsimplicialldlt_20_3e_28',['CholmodBase&lt; _MatrixType, _UpLo, CholmodSimplicialLDLT &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20_5fuplo_2c_20cholmodsimplicialllt_20_3e_29',['CholmodBase&lt; _MatrixType, _UpLo, CholmodSimplicialLLT &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20_5fuplo_2c_20cholmodsupernodalllt_20_3e_30',['CholmodBase&lt; _MatrixType, _UpLo, CholmodSupernodalLLT &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20lower_2c_20cholmoddecomposition_3c_20_5fmatrixtype_2c_20lower_20_3e_20_3e_31',['CholmodBase&lt; _MatrixType, Lower, CholmodDecomposition&lt; _MatrixType, Lower &gt; &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20lower_2c_20cholmodsimplicialldlt_3c_20_5fmatrixtype_2c_20lower_20_3e_20_3e_32',['CholmodBase&lt; _MatrixType, Lower, CholmodSimplicialLDLT&lt; _MatrixType, Lower &gt; &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20lower_2c_20cholmodsimplicialllt_3c_20_5fmatrixtype_2c_20lower_20_3e_20_3e_33',['CholmodBase&lt; _MatrixType, Lower, CholmodSimplicialLLT&lt; _MatrixType, Lower &gt; &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodbase_3c_20_5fmatrixtype_2c_20lower_2c_20cholmodsupernodalllt_3c_20_5fmatrixtype_2c_20lower_20_3e_20_3e_34',['CholmodBase&lt; _MatrixType, Lower, CholmodSupernodalLLT&lt; _MatrixType, Lower &gt; &gt;',['../classEigen_1_1CholmodBase.html',1,'Eigen']]],
  ['cholmodcommon_35',['cholmodCommon',['../classEigen_1_1SPQR.html#ac44b985bb777788c1c228e77862f4bcf',1,'Eigen::SPQR']]],
  ['cholmoddecomposition_36',['CholmodDecomposition',['../classEigen_1_1CholmodDecomposition.html',1,'Eigen']]],
  ['cholmodsimplicialldlt_37',['CholmodSimplicialLDLT',['../classEigen_1_1CholmodSimplicialLDLT.html',1,'Eigen']]],
  ['cholmodsimplicialllt_38',['CholmodSimplicialLLT',['../classEigen_1_1CholmodSimplicialLLT.html',1,'Eigen']]],
  ['cholmodsupernodalllt_39',['CholmodSupernodalLLT',['../classEigen_1_1CholmodSupernodalLLT.html',1,'Eigen']]],
  ['cholmodsupport_20module_40',['CholmodSupport module',['../group__CholmodSupport__Module.html',1,'']]],
  ['choose_41',['Which storage order to choose?',['../group__TopicStorageOrders.html#TopicStorageOrdersWhich',1,'']]],
  ['circulant_20matrix_42',['Example 1: circulant matrix',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Circulant',1,'']]],
  ['clamp_43',['clamp',['../classEigen_1_1AlignedBox.html#a8288fcca6c6c3113dc5aceb4df2cb663',1,'Eigen::AlignedBox']]],
  ['class_44',['class',['../group__TutorialMapClass.html',1,'Interfacing with raw buffers: the Map class'],['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_movetotop',1,'Should I then put all the members of Eigen types at the beginning of my class?'],['../TopicNewExpressionType.html#TopicExpression',1,'The expression class'],['../group__TutorialMatrixClass.html',1,'The Matrix class'],['../group__TutorialSparse.html#TutorialSparseSparseMatrix',1,'The SparseMatrix class'],['../TopicNewExpressionType.html#TopicTraits',1,'The traits class'],['../group__TutorialArrayClass.html#TutorialArrayClassIntro',1,'What is the Array class?']]],
  ['class_20and_20coefficient_20wise_20operations_45',['The Array class and coefficient-wise operations',['../group__TutorialArrayClass.html',1,'']]],
  ['class_20hierarchy_46',['The class hierarchy',['../TopicClassHierarchy.html',1,'UserManual_UnderstandingEigen']]],
  ['classes_47',['classes',['../TopicClassHierarchy.html#TopicClassHierarchyBaseClasses',1,'Base classes'],['../TopicCustomizing_Plugins.html',1,'Extending MatrixBase (and other classes)'],['../TopicClassHierarchy.html#TopicClassHierarchyCoreClasses',1,'The core classes']]],
  ['cmake_20projects_48',['Using Eigen in CMake Projects',['../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['code_20be_20modified_49',['How should such code be modified?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_how',1,'']]],
  ['code_20is_20safe_20regarding_20alignment_20issues_50',['How can I check my code is safe regarding alignment issues?',['../group__TopicUnalignedArrayAssert.html#checkmycode',1,'']]],
  ['code_20is_20the_20cause_20of_20the_20problem_51',['Where in my own code is the cause of the problem?',['../group__TopicUnalignedArrayAssert.html#where',1,'']]],
  ['code_20needs_20to_20be_20changed_52',['What kind of code needs to be changed?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_what',1,'']]],
  ['coeff_53',['coeff',['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#af51b00cc45490ad698239ab6a8b94393',1,'Eigen::DenseCoeffsBase&lt; Derived, ReadOnlyAccessors &gt;::coeff(Index row, Index col) const'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#aa7231d519967c37b4f98002d80756bda',1,'Eigen::DenseCoeffsBase&lt; Derived, ReadOnlyAccessors &gt;::coeff(Index index) const'],['../classEigen_1_1MapBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#ad1b983c5f0e4bd1ccd890da74ba2226b',1,'Eigen::MapBase&lt; Derived, ReadOnlyAccessors &gt;::coeff(Index rowId, Index colId) const'],['../classEigen_1_1MapBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#a01a596820b9612ad845bf83684f17dbb',1,'Eigen::MapBase&lt; Derived, ReadOnlyAccessors &gt;::coeff(Index index) const'],['../classEigen_1_1PlainObjectBase.html#a5c776c982798f4f4ac9b08c46e83823c',1,'Eigen::PlainObjectBase::coeff(Index rowId, Index colId) const'],['../classEigen_1_1PlainObjectBase.html#a229e3afb5062d34c6c27b45da66d6f8d',1,'Eigen::PlainObjectBase::coeff(Index index) const'],['../classEigen_1_1SelfAdjointView.html#aa4e1f964b34c76697bcdd3b54b84d814',1,'Eigen::SelfAdjointView::coeff()'],['../classEigen_1_1TriangularViewImpl_3_01__MatrixType_00_01__Mode_00_01Dense_01_4.html#a51093bbf9d6c6bad6a8afee9c93d4b3f',1,'Eigen::TriangularViewImpl&lt; _MatrixType, _Mode, Dense &gt;::coeff()'],['../classEigen_1_1SparseMatrix.html#a54adf6aa526045f37e67e352da8fd105',1,'Eigen::SparseMatrix::coeff()'],['../classEigen_1_1Array.html#a7434b2815a8eec46b0f0da5a12d717cd',1,'Eigen::Array::coeff(Index rowId, Index colId) const'],['../classEigen_1_1Array.html#ab4cc6aca872cb0be63c30ec5d77131a6',1,'Eigen::Array::coeff(Index index) const'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01WriteAccessors_01_4.html#af51b00cc45490ad698239ab6a8b94393',1,'Eigen::DenseCoeffsBase&lt; Derived, WriteAccessors &gt;::coeff(Index row, Index col) const'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01WriteAccessors_01_4.html#aa7231d519967c37b4f98002d80756bda',1,'Eigen::DenseCoeffsBase&lt; Derived, WriteAccessors &gt;::coeff(Index index) const'],['../classEigen_1_1MapBase_3_01Derived_00_01WriteAccessors_01_4.html#ad1b983c5f0e4bd1ccd890da74ba2226b',1,'Eigen::MapBase&lt; Derived, WriteAccessors &gt;::coeff(Index rowId, Index colId) const'],['../classEigen_1_1MapBase_3_01Derived_00_01WriteAccessors_01_4.html#a01a596820b9612ad845bf83684f17dbb',1,'Eigen::MapBase&lt; Derived, WriteAccessors &gt;::coeff(Index index) const']]],
  ['coefficient_20accessors_54',['Coefficient accessors',['../group__TutorialMatrixClass.html#TutorialMatrixCoeffAccessors',1,'']]],
  ['coefficient_20wise_20array_20operators_55',['Coefficient-wise \&amp; Array operators',['../group__QuickRefPage.html#QuickRef_Coeffwise',1,'']]],
  ['coefficient_20wise_20math_20functions_56',['Catalog of coefficient-wise math functions',['../group__CoeffwiseMathFunctions.html',1,'']]],
  ['coefficient_20wise_20operations_57',['coefficient wise operations',['../group__TutorialArrayClass.html#TutorialArrayClassCwiseOther',1,'Other coefficient-wise operations'],['../group__TutorialArrayClass.html',1,'The Array class and coefficient-wise operations']]],
  ['coefficients_58',['Matrices with boolean coefficients',['../TopicPitfalls.html#TopicPitfalls_matrix_bool',1,'']]],
  ['coefficients_20of_202d_20arrays_20and_20matrices_59',['Iterating over coefficients of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLMatrices',1,'']]],
  ['coeffref_60',['coeffRef',['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01WriteAccessors_01_4.html#a96df52273fe6a4fcb4489e9e5ae04959',1,'Eigen::DenseCoeffsBase&lt; Derived, WriteAccessors &gt;::coeffRef(Index row, Index col)'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01WriteAccessors_01_4.html#af1b18c0a2cf930857369943fa4a3f22d',1,'Eigen::DenseCoeffsBase&lt; Derived, WriteAccessors &gt;::coeffRef(Index index)'],['../classEigen_1_1MapBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#aed69aa33d03dfd94048b00626e9afa11',1,'Eigen::MapBase&lt; Derived, ReadOnlyAccessors &gt;::coeffRef(Index rowId, Index colId) const'],['../classEigen_1_1MapBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#a235e56a1e40fecc6d30a156e819d856f',1,'Eigen::MapBase&lt; Derived, ReadOnlyAccessors &gt;::coeffRef(Index index) const'],['../classEigen_1_1PlainObjectBase.html#a00530c6b43163bd26658f2c24713d3a7',1,'Eigen::PlainObjectBase::coeffRef(Index rowId, Index colId)'],['../classEigen_1_1PlainObjectBase.html#aa5893861ae3aa7aba6a62b02b8024d59',1,'Eigen::PlainObjectBase::coeffRef(Index index)'],['../classEigen_1_1PlainObjectBase.html#a3575a50f362e9e9d7e99852cf2b32fd2',1,'Eigen::PlainObjectBase::coeffRef(Index rowId, Index colId) const'],['../classEigen_1_1PlainObjectBase.html#a78ae20bc22f423c998d8f92eb8dc98f5',1,'Eigen::PlainObjectBase::coeffRef(Index index) const'],['../classEigen_1_1SelfAdjointView.html#af047b0a78c08d02189b18328a4c278f7',1,'Eigen::SelfAdjointView::coeffRef()'],['../classEigen_1_1TriangularViewImpl_3_01__MatrixType_00_01__Mode_00_01Dense_01_4.html#a5acb34b9cd0ea6dfbc565225830ad779',1,'Eigen::TriangularViewImpl&lt; _MatrixType, _Mode, Dense &gt;::coeffRef()'],['../classEigen_1_1SparseMapBase_3_01Derived_00_01WriteAccessors_01_4.html#a06b06526f5f9ec0dce2dd6bddab1f64a',1,'Eigen::SparseMapBase&lt; Derived, WriteAccessors &gt;::coeffRef()'],['../classEigen_1_1SparseMatrix.html#add476624662f7b346170aaa3c6f675e2',1,'Eigen::SparseMatrix::coeffRef()'],['../classEigen_1_1SparseVector.html#a6115473b2e7003fe8d69be82d77f18b5',1,'Eigen::SparseVector::coeffRef()'],['../classEigen_1_1Array.html#a56f54f9fc2e9ffbdfd8db06397b37ad8',1,'Eigen::Array::coeffRef(Index rowId, Index colId)'],['../classEigen_1_1Array.html#acdf705f92a57d2219b7af4ff91df1e2f',1,'Eigen::Array::coeffRef(Index index)'],['../classEigen_1_1Array.html#ab7389a066c855e5860d9356e49d9a141',1,'Eigen::Array::coeffRef(Index rowId, Index colId) const'],['../classEigen_1_1Array.html#a05ac2ba3be690c7cbb84b6f9e8752350',1,'Eigen::Array::coeffRef(Index index) const'],['../classEigen_1_1MapBase_3_01Derived_00_01WriteAccessors_01_4.html#aed69aa33d03dfd94048b00626e9afa11',1,'Eigen::MapBase&lt; Derived, WriteAccessors &gt;::coeffRef(Index rowId, Index colId) const'],['../classEigen_1_1MapBase_3_01Derived_00_01WriteAccessors_01_4.html#a235e56a1e40fecc6d30a156e819d856f',1,'Eigen::MapBase&lt; Derived, WriteAccessors &gt;::coeffRef(Index index) const'],['../classEigen_1_1Matrix.html#aadb10ef54c7860513de72f4a22fbd107',1,'Eigen::Matrix::coeffRef(Index rowId, Index colId)'],['../classEigen_1_1Matrix.html#ae50b99ad82f65e2d828ce0b927b65c33',1,'Eigen::Matrix::coeffRef(Index index)'],['../classEigen_1_1Matrix.html#ab8be287c17b6af10c6fdda468547743c',1,'Eigen::Matrix::coeffRef(Index rowId, Index colId) const'],['../classEigen_1_1Matrix.html#ab7901501fbe8073ba896f4d92df1c5b0',1,'Eigen::Matrix::coeffRef(Index index) const']]],
  ['coeffs_61',['coeffs',['../classEigen_1_1Hyperplane.html#a69901ba0a325a6939a1a421c40bddd48',1,'Eigen::Hyperplane::coeffs() const'],['../classEigen_1_1Hyperplane.html#ac647d556fbd813f9d32c44503ce3abd1',1,'Eigen::Hyperplane::coeffs()'],['../classEigen_1_1QuaternionBase.html#ad1e40f515c2c12873658caaf36728a71',1,'Eigen::QuaternionBase::coeffs() const'],['../classEigen_1_1QuaternionBase.html#a15d60cd0bd289eeeb028b35a6e34184d',1,'Eigen::QuaternionBase::coeffs()'],['../classEigen_1_1SparseCompressedBase.html#adcefacdb594bc96e016eb66f74f93aad',1,'Eigen::SparseCompressedBase::coeffs() const'],['../classEigen_1_1SparseCompressedBase.html#ab3aab863f97c48455bdf12b7d6b14b83',1,'Eigen::SparseCompressedBase::coeffs()']]],
  ['coeffvectortype_62',['CoeffVectorType',['../classEigen_1_1Tridiagonalization.html',1,'Eigen::CoeffVectorType&lt; MatrixType &gt;'],['../classEigen_1_1HessenbergDecomposition.html#a567f99f3770365777b67bf9832b6fac1',1,'Eigen::HessenbergDecomposition::CoeffVectorType']]],
  ['col_63',['col',['../classEigen_1_1DenseBase.html#a27f3b8aeaf37cb1decc9413ffceafa0f',1,'Eigen::DenseBase::col(Index i)'],['../classEigen_1_1DenseBase.html#a68c63405b4f66d00ea3ab6ca1c3fd138',1,'Eigen::DenseBase::col(Index i) const'],['../classEigen_1_1SparseMatrixBase.html#ad49129f2301063ce046ae071c82610d5',1,'Eigen::SparseMatrixBase::col(Index i)'],['../classEigen_1_1SparseMatrixBase.html#a4d181161b91bc84f955f116c536e6334',1,'Eigen::SparseMatrixBase::col(Index i) const'],['../classEigen_1_1Triplet.html#a220a0476a592596c2d295f698bee9067',1,'Eigen::Triplet::col()']]],
  ['colamdordering_64',['COLAMDOrdering',['../classEigen_1_1COLAMDOrdering.html',1,'Eigen']]],
  ['colindices_65',['colIndices',['../classEigen_1_1IndexedView.html#a5f2adba009f83eaa778b3f2fe0051287',1,'Eigen::IndexedView']]],
  ['colmajor_66',['ColMajor',['../group__enums.html#ggaacded1a18ae58b0f554751f6cdf9eb13a0103672ae41005ab03b4176c765afd62',1,'Eigen']]],
  ['colpivhouseholderqr_67',['ColPivHouseholderQR',['../classEigen_1_1ColPivHouseholderQR.html',1,'Eigen::ColPivHouseholderQR&lt; _MatrixType &gt;'],['../classEigen_1_1ColPivHouseholderQR.html#a9d8a92c2a2f0debe5454812372237ed4',1,'Eigen::ColPivHouseholderQR::ColPivHouseholderQR()'],['../classEigen_1_1ColPivHouseholderQR.html#a5965d4fdebc04b2df71d67ff0b2d0c2c',1,'Eigen::ColPivHouseholderQR::ColPivHouseholderQR(Index rows, Index cols)'],['../classEigen_1_1ColPivHouseholderQR.html#a1aa6a5b95380df0ceb224cb833316d4f',1,'Eigen::ColPivHouseholderQR::ColPivHouseholderQR(const EigenBase&lt; InputType &gt; &amp;matrix)'],['../classEigen_1_1ColPivHouseholderQR.html#a65782010a93a4c9ef4a9191ac8fe30bc',1,'Eigen::ColPivHouseholderQR::ColPivHouseholderQR(EigenBase&lt; InputType &gt; &amp;matrix)']]],
  ['colpivhouseholderqr_68',['colPivHouseholderQr',['../classEigen_1_1MatrixBase.html#adee8c19c833245bbb00a591dce68e8a4',1,'Eigen::MatrixBase']]],
  ['colpivhouseholderqr_3c_20matrixtype_20_3e_69',['ColPivHouseholderQR&lt; MatrixType &gt;',['../classEigen_1_1ColPivHouseholderQR.html',1,'Eigen']]],
  ['colpivhouseholderqr_3c_20transposetypewithsamestorageorder_20_3e_70',['ColPivHouseholderQR&lt; TransposeTypeWithSameStorageOrder &gt;',['../classEigen_1_1ColPivHouseholderQR.html',1,'Eigen']]],
  ['colpivhouseholderqrpreconditioner_71',['ColPivHouseholderQRPreconditioner',['../group__enums.html#gga46eba0d5c621f590b8cf1b53af31d56eabd2e2f4875c5b4b6e602a433d90c4e5e',1,'Eigen']]],
  ['cols_72',['cols',['../structEigen_1_1EigenBase.html#a2d768a9877f5f69f49432d447b552bfe',1,'Eigen::EigenBase::cols()'],['../classEigen_1_1IndexedView.html#a6d5f355dd721df6d39482a04e5ffd44d',1,'Eigen::IndexedView::cols()'],['../classEigen_1_1MapBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#adb0a19af0c52f9f36160abe0d2de67e1',1,'Eigen::MapBase&lt; Derived, ReadOnlyAccessors &gt;::cols()'],['../classEigen_1_1PermutationBase.html#a26961ef6cfef586d412054ee5a20d430',1,'Eigen::PermutationBase::cols()'],['../classEigen_1_1TriangularView.html#a12d7ac8a095cda817cd241f1aae2f8fb',1,'Eigen::TriangularView::cols()'],['../classEigen_1_1HouseholderSequence.html#a35475457c973a66539417b61449cbf5a',1,'Eigen::HouseholderSequence::cols()'],['../classEigen_1_1IncompleteCholesky.html#ac78d2b46d4071963d3cab4a762de6129',1,'Eigen::IncompleteCholesky::cols()'],['../classEigen_1_1SparseMatrix.html#aa391750e3c530227e4a5c3c52e959975',1,'Eigen::SparseMatrix::cols()'],['../classEigen_1_1SparseMatrixBase.html#aca7ce296424ef6e478ab0fb19547a7ee',1,'Eigen::SparseMatrixBase::cols()'],['../classEigen_1_1SparseQR.html#a57bedc9b1351c0995bae8ad0088a6fce',1,'Eigen::SparseQR::cols()'],['../classEigen_1_1SPQR.html#aa006d40963b05c7525b5ca0b02364d84',1,'Eigen::SPQR::cols()'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01ReadOnlyAccessors_01_4.html#a2d768a9877f5f69f49432d447b552bfe',1,'Eigen::DenseCoeffsBase&lt; Derived, ReadOnlyAccessors &gt;::cols()'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01WriteAccessors_01_4.html#a2d768a9877f5f69f49432d447b552bfe',1,'Eigen::DenseCoeffsBase&lt; Derived, WriteAccessors &gt;::cols()'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01DirectAccessors_01_4.html#a2d768a9877f5f69f49432d447b552bfe',1,'Eigen::DenseCoeffsBase&lt; Derived, DirectAccessors &gt;::cols()'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01DirectWriteAccessors_01_4.html#a2d768a9877f5f69f49432d447b552bfe',1,'Eigen::DenseCoeffsBase&lt; Derived, DirectWriteAccessors &gt;::cols()'],['../classEigen_1_1MapBase_3_01Derived_00_01WriteAccessors_01_4.html#adb0a19af0c52f9f36160abe0d2de67e1',1,'Eigen::MapBase&lt; Derived, WriteAccessors &gt;::cols()']]],
  ['colsatcompiletime_73',['ColsAtCompileTime',['../classEigen_1_1DenseBase.html#a79e18c41278314e0ddefc28b6e064a2ba787f85fd67ee5985917eb2cef6e70441',1,'Eigen::DenseBase::ColsAtCompileTime'],['../classEigen_1_1SparseMatrixBase.html#adae960392d23922bdf6da1b72b80be06a27ba349f075d026c1f51d1ec69aa5b14',1,'Eigen::SparseMatrixBase::ColsAtCompileTime']]],
  ['colspermutation_74',['colsPermutation',['../classEigen_1_1ColPivHouseholderQR.html#a7b412c63fde62e00f91503d87fc23ba4',1,'Eigen::ColPivHouseholderQR::colsPermutation()'],['../classEigen_1_1CompleteOrthogonalDecomposition.html#ab9d1a1743a602e2bc6f19ad4c206b025',1,'Eigen::CompleteOrthogonalDecomposition::colsPermutation()'],['../classEigen_1_1FullPivHouseholderQR.html#a2a17d9b6d87481e30db6051a47cb952d',1,'Eigen::FullPivHouseholderQR::colsPermutation()'],['../classEigen_1_1SparseLU.html#a0af5167311511098d0c2c2b0d3055a8c',1,'Eigen::SparseLU::colsPermutation()'],['../classEigen_1_1SparseQR.html#a6b1d60d2814988ca581856284d5b8607',1,'Eigen::SparseQR::colsPermutation()'],['../classEigen_1_1SPQR.html#ab1b7f54ba1cd8d77506ae676fea4fec0',1,'Eigen::SPQR::colsPermutation()']]],
  ['colstride_75',['colStride',['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01DirectAccessors_01_4.html#af8b144e79782a441448d59e00834f31a',1,'Eigen::DenseCoeffsBase&lt; Derived, DirectAccessors &gt;::colStride()'],['../classEigen_1_1DenseCoeffsBase_3_01Derived_00_01DirectWriteAccessors_01_4.html#af1bac522aee4402639189f387592000b',1,'Eigen::DenseCoeffsBase&lt; Derived, DirectWriteAccessors &gt;::colStride()']]],
  ['column_20major_20and_20row_20major_20storage_76',['Column-major and row-major storage',['../group__TopicStorageOrders.html#TopicStorageOrdersIntro',1,'']]],
  ['columns_77',['Example 2: indexing rows and columns',['../TopicCustomizing_NullaryExpr.html#NullaryExpr_Indexing',1,'']]],
  ['columns_20and_20rows_78',['Columns and rows',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxColumnRows',1,'']]],
  ['columns_20of_202d_20arrays_20and_20matrices_79',['Iterating over rows or columns of 2D arrays and matrices',['../group__TutorialSTL.html#TutorialSTLRowsColumns',1,'']]],
  ['colwise_80',['colwise',['../classEigen_1_1DenseBase.html#a58837c81de446efbdb58da07b73a63c1',1,'Eigen::DenseBase::colwise() const'],['../classEigen_1_1DenseBase.html#a1c0e1b6067ec1de6cb8799da55aa7d30',1,'Eigen::DenseBase::colwise()']]],
  ['combining_20broadcasting_20with_20other_20operations_81',['Combining broadcasting with other operations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingBroadcastingCombined',1,'']]],
  ['combining_20partial_20reductions_20with_20other_20operations_82',['Combining partial reductions with other operations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingPartialReductionsCombined',1,'']]],
  ['comma_20initialization_83',['Comma-initialization',['../group__TutorialMatrixClass.html#TutorialMatrixCommaInitializer',1,'']]],
  ['comma_20initializer_84',['The comma initializer',['../group__TutorialAdvancedInitialization.html#TutorialAdvancedInitializationCommaInitializer',1,'']]],
  ['commainitializer_85',['CommaInitializer',['../structEigen_1_1CommaInitializer.html',1,'Eigen']]],
  ['common_20api_20across_20transformation_20types_86',['Common API across transformation types',['../group__TutorialGeometry.html#TutorialGeoCommontransformationAPI',1,'']]],
  ['common_20pitfalls_87',['Common pitfalls',['../TopicPitfalls.html',1,'UserManual_Generalities']]],
  ['compilation_20error_20with_20template_20methods_88',['Compilation error with template methods',['../TopicPitfalls.html#TopicPitfalls_template_keyword',1,'']]],
  ['compile_89',['Header Issues (failure to compile)',['../TopicPitfalls.html#TopicPitfalls_header_issues',1,'']]],
  ['compile_20time_20size_20and_20increment_90',['Compile time size and increment',['../group__TutorialSlicingIndexing.html#TutorialSlicingFixed',1,'']]],
  ['compiler_20making_20a_20wrong_20assumption_20on_20stack_20alignment_91',['Compiler making a wrong assumption on stack alignment',['../group__TopicWrongStackAlignment.html',1,'']]],
  ['compiler_20making_20a_20wrong_20assumption_20on_20stack_20alignment_20for_20instance_20gcc_20on_20windows_92',['Cause 4: Compiler making a wrong assumption on stack alignment (for instance GCC on Windows)',['../group__TopicUnalignedArrayAssert.html#c4',1,'']]],
  ['compiling_20and_20running_20your_20first_20program_93',['Compiling and running your first program',['../GettingStarted.html#GettingStartedCompiling',1,'']]],
  ['completeorthogonaldecomposition_94',['CompleteOrthogonalDecomposition',['../classEigen_1_1CompleteOrthogonalDecomposition.html',1,'Eigen::CompleteOrthogonalDecomposition&lt; _MatrixType &gt;'],['../classEigen_1_1CompleteOrthogonalDecomposition.html#a7ba33814fd3fdc62f6179cdcd655c679',1,'Eigen::CompleteOrthogonalDecomposition::CompleteOrthogonalDecomposition()'],['../classEigen_1_1CompleteOrthogonalDecomposition.html#aa6c282dd7452ebe754024edb71bebd09',1,'Eigen::CompleteOrthogonalDecomposition::CompleteOrthogonalDecomposition(Index rows, Index cols)'],['../classEigen_1_1CompleteOrthogonalDecomposition.html#afcfaf7a395f853247c23bb52b1ffb1cc',1,'Eigen::CompleteOrthogonalDecomposition::CompleteOrthogonalDecomposition(const EigenBase&lt; InputType &gt; &amp;matrix)'],['../classEigen_1_1CompleteOrthogonalDecomposition.html#a082295ba2aac35a8b8b9e2d46e1d7ce4',1,'Eigen::CompleteOrthogonalDecomposition::CompleteOrthogonalDecomposition(EigenBase&lt; InputType &gt; &amp;matrix)']]],
  ['completeorthogonaldecomposition_95',['completeOrthogonalDecomposition',['../classEigen_1_1MatrixBase.html#ae90b6846f05bd30b8d52b66e427e3e09',1,'Eigen::MatrixBase']]],
  ['completeorthogonaldecomposition_3c_20matrixtype_20_3e_96',['CompleteOrthogonalDecomposition&lt; MatrixType &gt;',['../classEigen_1_1CompleteOrthogonalDecomposition.html',1,'Eigen']]],
  ['complexeigensolver_97',['ComplexEigenSolver',['../classEigen_1_1ComplexEigenSolver.html',1,'Eigen::ComplexEigenSolver&lt; _MatrixType &gt;'],['../classEigen_1_1ComplexEigenSolver.html#a3322a21574c61eefd450c003515ad802',1,'Eigen::ComplexEigenSolver::ComplexEigenSolver()'],['../classEigen_1_1ComplexEigenSolver.html#a86751f64ebcd5c554551fb5eaaa02db7',1,'Eigen::ComplexEigenSolver::ComplexEigenSolver(Index size)'],['../classEigen_1_1ComplexEigenSolver.html#a748de5c1e7f730e16421e6d451437600',1,'Eigen::ComplexEigenSolver::ComplexEigenSolver(const EigenBase&lt; InputType &gt; &amp;matrix, bool computeEigenvectors=true)']]],
  ['complexmatrixtype_98',['ComplexMatrixType',['../classEigen_1_1ComplexSchur.html#af61fe57877d51cfb50178f78534042f0',1,'Eigen::ComplexSchur']]],
  ['complexscalar_99',['ComplexScalar',['../classEigen_1_1ComplexEigenSolver.html#a3604c99a69fac3bee42c88cb2b589143',1,'Eigen::ComplexEigenSolver::ComplexScalar'],['../classEigen_1_1ComplexSchur.html#ae1a4713b53f821867fbad617e426832a',1,'Eigen::ComplexSchur::ComplexScalar'],['../classEigen_1_1EigenSolver.html#a4d0b2a773357d0a6ec98e026f04002ed',1,'Eigen::EigenSolver::ComplexScalar'],['../classEigen_1_1GeneralizedEigenSolver.html#abdec07af91db1345bb4c74066e3d0ea7',1,'Eigen::GeneralizedEigenSolver::ComplexScalar']]],
  ['complexschur_100',['ComplexSchur',['../classEigen_1_1ComplexSchur.html',1,'Eigen::ComplexSchur&lt; _MatrixType &gt;'],['../classEigen_1_1ComplexSchur.html#ad707d9978dc36b3b15e460c2a83f4093',1,'Eigen::ComplexSchur::ComplexSchur(Index size=RowsAtCompileTime==Dynamic ? 1 :RowsAtCompileTime)'],['../classEigen_1_1ComplexSchur.html#a9c92c6e4c33890d2d063c5c8dd22777d',1,'Eigen::ComplexSchur::ComplexSchur(const EigenBase&lt; InputType &gt; &amp;matrix, bool computeU=true)']]],
  ['complexschur_3c_20matrixtype_20_3e_101',['ComplexSchur&lt; MatrixType &gt;',['../classEigen_1_1ComplexSchur.html',1,'Eigen']]],
  ['complexvectortype_102',['ComplexVectorType',['../classEigen_1_1GeneralizedEigenSolver.html#acfd144329aca76882069da2fc5d53ef5',1,'Eigen::GeneralizedEigenSolver']]],
  ['component_20wise_20operations_103',['Aliasing and component-wise operations',['../group__TopicAliasing.html#TopicAliasingCwise',1,'']]],
  ['compressedaccessbit_104',['CompressedAccessBit',['../group__flags.html#gaed0244284da47a2b8661261431173caf',1,'Eigen']]],
  ['computation_20from_20the_20construction_105',['Separating the computation from the construction',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSeparateComputation',1,'']]],
  ['computationinfo_106',['ComputationInfo',['../group__enums.html#ga85fad7b87587764e5cf6b513a9e0ee5e',1,'Eigen']]],
  ['computations_107',['Norm computations',['../group__TutorialReductionsVisitorsBroadcasting.html#TutorialReductionsVisitorsBroadcastingReductionsNorm',1,'']]],
  ['compute_108',['compute',['../classEigen_1_1CholmodBase.html#a0f1dd31e16031ca91285db13202ab1eb',1,'Eigen::CholmodBase::compute()'],['../classEigen_1_1ComplexEigenSolver.html#af5acd2af1ffbc97c798c06902b26b6c4',1,'Eigen::ComplexEigenSolver::compute()'],['../classEigen_1_1ComplexSchur.html#aedd7040c7b8b79aac600a70f50972602',1,'Eigen::ComplexSchur::compute()'],['../classEigen_1_1EigenSolver.html#aff5c2bd7843aacdcd59b9cbe420752ff',1,'Eigen::EigenSolver::compute()'],['../classEigen_1_1GeneralizedEigenSolver.html#a275910b47dfe5f40211dcb59cfd68f3c',1,'Eigen::GeneralizedEigenSolver::compute()'],['../classEigen_1_1GeneralizedSelfAdjointEigenSolver.html#a724764fe196612b752042692156ed023',1,'Eigen::GeneralizedSelfAdjointEigenSolver::compute()'],['../classEigen_1_1HessenbergDecomposition.html#a334e62ab2a1d99e5a3a4f5de76207840',1,'Eigen::HessenbergDecomposition::compute()'],['../classEigen_1_1RealQZ.html#a2b6847964d9f1903193cc3e67c196849',1,'Eigen::RealQZ::compute()'],['../classEigen_1_1RealSchur.html#a30443e93bf63f690c792196754ab5a58',1,'Eigen::RealSchur::compute()'],['../classEigen_1_1SelfAdjointEigenSolver.html#a37a8ed3b7dec8fb599c6a83969448cd2',1,'Eigen::SelfAdjointEigenSolver::compute()'],['../classEigen_1_1Tridiagonalization.html#a96235cebcba541bbfea1717d8cd34273',1,'Eigen::Tridiagonalization::compute()'],['../classEigen_1_1IncompleteCholesky.html#a7966bedeebbeaa7a8fe4dd1da3797a0b',1,'Eigen::IncompleteCholesky::compute()'],['../classEigen_1_1IncompleteLUT.html#ab36a50d4868afb842cd2c3677a46f010',1,'Eigen::IncompleteLUT::compute()'],['../classEigen_1_1IterativeSolverBase.html#a3b0d9691964793bd55937666426fefbf',1,'Eigen::IterativeSolverBase::compute()'],['../classEigen_1_1FullPivLU.html#aee769a67d261303685b683da2cc55443',1,'Eigen::FullPivLU::compute()'],['../classEigen_1_1PastixLU.html#adc28ee2550086c7bdfe991d624bde2ee',1,'Eigen::PastixLU::compute()'],['../classEigen_1_1PastixLLT.html#a54fcdef53903851e2d8113a6ed330b5c',1,'Eigen::PastixLLT::compute()'],['../classEigen_1_1PastixLDLT.html#abf3135c2dc17d9df26fef80e6456a691',1,'Eigen::PastixLDLT::compute()'],['../classEigen_1_1SimplicialCholeskyBase.html#a9a741744dda2261cae26cddf96a35bf0',1,'Eigen::SimplicialCholeskyBase::compute()'],['../classEigen_1_1SimplicialLLT.html#a6d27b0d8c2c9a212cee8ca931951b3c1',1,'Eigen::SimplicialLLT::compute()'],['../classEigen_1_1SimplicialLDLT.html#a6fee7e9b14ee7fbaecabaa27620e2e99',1,'Eigen::SimplicialLDLT::compute()'],['../classEigen_1_1SimplicialCholesky.html#a54361512984c63540372a56df42a4252',1,'Eigen::SimplicialCholesky::compute()'],['../classEigen_1_1SparseLU.html#a96a8dcb02015ab9be5777d4ba9173266',1,'Eigen::SparseLU::compute()'],['../classEigen_1_1SparseQR.html#aedaf52b7543de4d55c58c8f830c2aeb7',1,'Eigen::SparseQR::compute()'],['../classEigen_1_1SuperLUBase.html#a28cb3ef7914ecb6fdae1935b53f6be40',1,'Eigen::SuperLUBase::compute()'],['../classEigen_1_1BDCSVD.html#a52e3c627775010775c64d16a00cdb770',1,'Eigen::BDCSVD::compute(const MatrixType &amp;matrix, unsigned int computationOptions)'],['../classEigen_1_1BDCSVD.html#a61880a5f6dbf7a14f91be80eaa3a22bc',1,'Eigen::BDCSVD::compute(const MatrixType &amp;matrix)'],['../classEigen_1_1JacobiSVD.html#a5dab376cc86cf0d36674bcdad4af3f5a',1,'Eigen::JacobiSVD::compute(const MatrixType &amp;matrix, unsigned int computationOptions)'],['../classEigen_1_1JacobiSVD.html#a408ef2580962859ff292eca69aa4b976',1,'Eigen::JacobiSVD::compute(const MatrixType &amp;matrix)'],['../classEigen_1_1UmfPackLU.html#a05fb2b5717ebd67e46b83439721ceee7',1,'Eigen::UmfPackLU::compute()'],['../classEigen_1_1LDLT.html#a2c09c95af8d8c83aa487933500a284e7',1,'Eigen::LDLT::compute()'],['../classEigen_1_1LLT.html#ab16995df721e54e091f7ed6698a0b1c7',1,'Eigen::LLT::compute()'],['../classEigen_1_1ColPivHouseholderQR.html#aeef2e178f536accd203caadabd78cfea',1,'Eigen::ColPivHouseholderQR::compute()'],['../classEigen_1_1FullPivHouseholderQR.html#a6e8c4b39853facddd258b4568bbf17f5',1,'Eigen::FullPivHouseholderQR::compute()']]],
  ['compute_20step_109',['The Compute Step',['../group__TopicSparseSystems.html#TheSparseCompute',1,'']]],
  ['computedirect_110',['computeDirect',['../classEigen_1_1SelfAdjointEigenSolver.html#afe520161701f5f585bcc4cedb8657bd1',1,'Eigen::SelfAdjointEigenSolver']]],
  ['computeeigenvectors_111',['ComputeEigenvectors',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9a7f7d17fba3c9bb92158e346d5979d0f4',1,'Eigen']]],
  ['computefromhessenberg_112',['computeFromHessenberg',['../classEigen_1_1ComplexSchur.html#a4dd63e98b2900f011cb2d674c1af1fda',1,'Eigen::ComplexSchur::computeFromHessenberg()'],['../classEigen_1_1RealSchur.html#ad77757ec167d76bd09b71235abdf6c27',1,'Eigen::RealSchur::computeFromHessenberg()']]],
  ['computefromtridiagonal_113',['computeFromTridiagonal',['../classEigen_1_1SelfAdjointEigenSolver.html#a297893df7098c43278d385e4d4e23fe4',1,'Eigen::SelfAdjointEigenSolver']]],
  ['computefullu_114',['ComputeFullU',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9a9fa9302d510cee20c26311154937e23f',1,'Eigen']]],
  ['computefullv_115',['ComputeFullV',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9a36581f7c662f7def31efd500c284f930',1,'Eigen']]],
  ['computeinplace_116',['computeInPlace',['../classEigen_1_1CompleteOrthogonalDecomposition.html#adb0b963d7d8f96492904e8eda03efbf5',1,'Eigen::CompleteOrthogonalDecomposition::computeInPlace()'],['../classEigen_1_1HouseholderQR.html#a3a16530338a734971fc45efb0ef9ac94',1,'Eigen::HouseholderQR::computeInPlace()']]],
  ['computeinverseanddetwithcheck_117',['computeInverseAndDetWithCheck',['../classEigen_1_1MatrixBase.html#a7baaf2fdec0191a2166cf9fd84a2dcb2',1,'Eigen::MatrixBase']]],
  ['computeinversewithcheck_118',['computeInverseWithCheck',['../classEigen_1_1MatrixBase.html#a116f3b50d2af7dbdf7473e517a5b8b0f',1,'Eigen::MatrixBase']]],
  ['computerotationscaling_119',['computeRotationScaling',['../classEigen_1_1Transform.html#a7213fd78501c1185c4a1441e33c812d3',1,'Eigen::Transform']]],
  ['computescalingrotation_120',['computeScalingRotation',['../classEigen_1_1Transform.html#a247b079c63f46bb652b3776484838216',1,'Eigen::Transform']]],
  ['computethinu_121',['ComputeThinU',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9aa7fb4e98834788d0b1b0f2b8467d2527',1,'Eigen']]],
  ['computethinv_122',['ComputeThinV',['../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9a540036417bfecf2e791a70948c227f47',1,'Eigen']]],
  ['computeu_123',['computeU',['../classEigen_1_1SVDBase.html#a705a7c2709e1624ccc19aa748a78d473',1,'Eigen::SVDBase::computeU()'],['../classEigen_1_1BDCSVD.html#a51fcc2fbadec89148a5e4222c77e35ec',1,'Eigen::BDCSVD::computeU()'],['../classEigen_1_1JacobiSVD.html#a85661f1d7707070f204d18a1fe857c93',1,'Eigen::JacobiSVD::computeU()']]],
  ['computev_124',['computeV',['../classEigen_1_1SVDBase.html#a5f12efcb791eb007d4a4890ac5255ac4',1,'Eigen::SVDBase::computeV()'],['../classEigen_1_1BDCSVD.html#aea45b7e486d3333446b274f484b0c587',1,'Eigen::BDCSVD::computeV()'],['../classEigen_1_1JacobiSVD.html#a468809f18ea083ff6e2581af5d6c99dc',1,'Eigen::JacobiSVD::computeV()']]],
  ['computing_20eigenvalues_20and_20eigenvectors_125',['Computing eigenvalues and eigenvectors',['../group__TutorialLinearAlgebra.html#TutorialLinAlgEigensolving',1,'']]],
  ['computing_20inverse_20and_20determinant_126',['Computing inverse and determinant',['../group__TutorialLinearAlgebra.html#TutorialLinAlgInverse',1,'']]],
  ['concept_127',['Sparse solver concept',['../group__TopicSparseSystems.html#TutorialSparseSolverConcept',1,'']]],
  ['conditionally_20depending_20on_20template_20parameters_128',['What if I want to do this conditionally (depending on template parameters) ?',['../group__TopicStructHavingEigenMembers.html#StructHavingEigenMembers_conditional',1,'']]],
  ['conj_129',['conj',['../namespaceEigen.html#a2d4af43bc6a869e68a60c0adde1d26f6',1,'Eigen']]],
  ['conjugate_130',['conjugate',['../classEigen_1_1DenseBase.html#a7ef38c2028216e755bd1dece909e8197',1,'Eigen::DenseBase::conjugate()'],['../classEigen_1_1SelfAdjointView.html#a6671a26f31ead5f6e14d1d7d1221d9ec',1,'Eigen::SelfAdjointView::conjugate()'],['../classEigen_1_1TriangularView.html#a53c6a7764a6610f4955788f6134a8d78',1,'Eigen::TriangularView::conjugate()'],['../classEigen_1_1QuaternionBase.html#a5e63b775d0a93161ce6137ec0a17f6b0',1,'Eigen::QuaternionBase::conjugate()'],['../classEigen_1_1HouseholderSequence.html#ac71fa85a4f177b0aeb1026752aea5590',1,'Eigen::HouseholderSequence::conjugate()'],['../classEigen_1_1SparseMatrixBase.html#a5786b847d59be644984e6ec30d2e35c0',1,'Eigen::SparseMatrixBase::conjugate()']]],
  ['conjugategradient_131',['ConjugateGradient',['../classEigen_1_1ConjugateGradient.html',1,'Eigen::ConjugateGradient&lt; _MatrixType, _UpLo, _Preconditioner &gt;'],['../classEigen_1_1ConjugateGradient.html#a92a9656ca9fa4da240194f89229255eb',1,'Eigen::ConjugateGradient::ConjugateGradient()'],['../classEigen_1_1ConjugateGradient.html#ac10f778fcd137eca1f6057c8ddd3d644',1,'Eigen::ConjugateGradient::ConjugateGradient(const EigenBase&lt; MatrixDerived &gt; &amp;A)']]],
  ['conjugateif_132',['conjugateIf',['../classEigen_1_1DenseBase.html#a5dc6c610f27f6578904517a4e19df5a4',1,'Eigen::DenseBase::conjugateIf()'],['../classEigen_1_1SelfAdjointView.html#a05cca3c54c2a4d20c88676f19c7ffba0',1,'Eigen::SelfAdjointView::conjugateIf()'],['../classEigen_1_1TriangularView.html#a9ec97ea264dadbe590c2316c4461f1c1',1,'Eigen::TriangularView::conjugateIf()'],['../classEigen_1_1HouseholderSequence.html#a74afc41dfdeff4b3f282b5a770b221b6',1,'Eigen::HouseholderSequence::conjugateIf()'],['../classEigen_1_1SparseMatrixBase.html#ae9c095f1edcd21ae856d90b2cf94864b',1,'Eigen::SparseMatrixBase::conjugateIf()']]],
  ['conjugation_133',['Transposition and conjugation',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticTranspose',1,'']]],
  ['conservativeresize_134',['conservativeResize',['../classEigen_1_1PlainObjectBase.html#a712c25be1652e5a64a00f28c8ed11462',1,'Eigen::PlainObjectBase::conservativeResize(Index rows, Index cols)'],['../classEigen_1_1PlainObjectBase.html#a8c9b27a1df4d180b9fb5755bebea2dbd',1,'Eigen::PlainObjectBase::conservativeResize(Index rows, NoChange_t)'],['../classEigen_1_1PlainObjectBase.html#afc474a09ec9704629b795d7907fb6c37',1,'Eigen::PlainObjectBase::conservativeResize(NoChange_t, Index cols)'],['../classEigen_1_1PlainObjectBase.html#a78a42a7c0be768374781f67f40c9ab0d',1,'Eigen::PlainObjectBase::conservativeResize(Index size)'],['../classEigen_1_1SparseMatrix.html#a9dc538b2c1fe9027ba58f31ee83b2ff1',1,'Eigen::SparseMatrix::conservativeResize()'],['../classEigen_1_1SparseVector.html#ab8dbb1f73b6250c10c0860eb13ca5cca',1,'Eigen::SparseVector::conservativeResize()']]],
  ['conservativeresizelike_135',['conservativeResizeLike',['../classEigen_1_1PlainObjectBase.html#a4ece7540eda6a1ae7d3730397ce72bec',1,'Eigen::PlainObjectBase']]],
  ['const_5fiterator_136',['const_iterator',['../classEigen_1_1DenseBase.html#a306d9418d4b34874e9005d961c490cd2',1,'Eigen::DenseBase::const_iterator'],['../classEigen_1_1VectorwiseOp.html#a595c33d2a82427a1159568b0b8438554',1,'Eigen::VectorwiseOp::const_iterator']]],
  ['constaffinepart_137',['ConstAffinePart',['../classEigen_1_1Transform.html#a719486ada918954a8ffad3d174d08817',1,'Eigen::Transform']]],
  ['constant_138',['Constant',['../classEigen_1_1DenseBase.html#a68a7ece6c5629d1e9447a321fcb14ccd',1,'Eigen::DenseBase::Constant(Index rows, Index cols, const Scalar &amp;value)'],['../classEigen_1_1DenseBase.html#a1fdd3189ae3a41d250593334d82210cf',1,'Eigen::DenseBase::Constant(Index size, const Scalar &amp;value)'],['../classEigen_1_1DenseBase.html#aed89b5cc6e3b7d9d5bd63aed245ccd6d',1,'Eigen::DenseBase::Constant(const Scalar &amp;value)']]],
  ['constlinearpart_139',['ConstLinearPart',['../classEigen_1_1Transform.html#a75810d3f0d098e00b43a5531f33d78e1',1,'Eigen::Transform']]],
  ['constmatrixtype_140',['ConstMatrixType',['../classEigen_1_1Transform.html#aed436d14b16bd862bac5367990085795',1,'Eigen::Transform']]],
  ['constructing_20vectors_141',['Constructing vectors',['../TopicInsideEigenExample.html#ConstructingVectors',1,'']]],
  ['construction_142',['Separating the computation from the construction',['../group__TutorialLinearAlgebra.html#TutorialLinAlgSeparateComputation',1,'']]],
  ['construction_20of_20the_20sum_20expression_143',['Construction of the sum expression',['../TopicInsideEigenExample.html#ConstructionOfSumXpr',1,'']]],
  ['constructors_144',['Constructors',['../group__TutorialMatrixClass.html#TutorialMatrixConstructors',1,'']]],
  ['consttranslationpart_145',['ConstTranslationPart',['../classEigen_1_1Transform.html#a3eab3259d3fac8106eb3139bc96ba852',1,'Eigen::Transform']]],
  ['containers_20or_20manual_20memory_20allocation_146',['Cause 2: STL Containers or manual memory allocation',['../group__TopicUnalignedArrayAssert.html#c2',1,'']]],
  ['containers_20with_20eigen_147',['Using STL Containers with Eigen',['../group__TopicStlContainers.html',1,'']]],
  ['contains_148',['contains',['../classEigen_1_1AlignedBox.html#a8bfd8127621e4a19032945744adf5041',1,'Eigen::AlignedBox::contains(const MatrixBase&lt; Derived &gt; &amp;p) const'],['../classEigen_1_1AlignedBox.html#a013a78bb0e9ac3a27dc1e604435288fb',1,'Eigen::AlignedBox::contains(const AlignedBox &amp;b) const']]],
  ['convenience_20typedefs_149',['Convenience typedefs',['../group__TutorialMatrixClass.html#TutorialMatrixTypedefs',1,'']]],
  ['converting_20between_20array_20and_20matrix_20expressions_150',['Converting between array and matrix expressions',['../group__TutorialArrayClass.html#TutorialArrayClassConvert',1,'']]],
  ['copycoeff_151',['copyCoeff',['../classEigen_1_1TriangularBase.html#a0abe130a9130ac6df16f3c8c55490b43',1,'Eigen::TriangularBase']]],
  ['core_20classes_152',['The core classes',['../TopicClassHierarchy.html#TopicClassHierarchyCoreClasses',1,'']]],
  ['core_20module_153',['Core module',['../group__Core__Module.html',1,'Core module'],['../Experimental.html#Experimental_core',1,'Experimental parts of the Core module']]],
  ['corner_154',['corner',['../classEigen_1_1AlignedBox.html#a09619d632dd6979e9d09738493221d55',1,'Eigen::AlignedBox']]],
  ['corner_20related_20operations_155',['Corner-related operations',['../group__TutorialBlockOperations.html#TutorialBlockOperationsSyntaxCorners',1,'']]],
  ['cornertype_156',['CornerType',['../classEigen_1_1AlignedBox.html#ae4aa935b36004fffc49c7a3a85e2d378',1,'Eigen::AlignedBox']]],
  ['cos_157',['cos',['../classEigen_1_1ArrayBase.html#a02c07fce456a1a6ec9510ca8b0934911',1,'Eigen::ArrayBase::cos()'],['../classEigen_1_1MatrixBase.html#abd8a295a855bfd648b4a9eaff310cabd',1,'Eigen::MatrixBase::cos()'],['../namespaceEigen.html#a1255a8645580bc030d1149a35effd93e',1,'Eigen::cos()']]],
  ['cosh_158',['cosh',['../classEigen_1_1ArrayBase.html#a3f34a09fc1a72fd2dc6b5fafb857fcb8',1,'Eigen::ArrayBase::cosh()'],['../classEigen_1_1MatrixBase.html#a3f817eadb4a661783c540a639009abf0',1,'Eigen::MatrixBase::cosh()'],['../namespaceEigen.html#a0840607dbc10701164b331c76defde61',1,'Eigen::cosh()']]],
  ['count_159',['count',['../classEigen_1_1DenseBase.html#a229be090c665b9bf7d1fcdfd1ab6e0c1',1,'Eigen::DenseBase::count()'],['../classEigen_1_1VectorwiseOp.html#a5c6b797457895f11a7682b3a16f263bb',1,'Eigen::VectorwiseOp::count() const']]],
  ['crbegin_160',['crbegin',['../classEigen_1_1VectorwiseOp.html#aec95725eed4adb5ccf65fbb6e907d12e',1,'Eigen::VectorwiseOp']]],
  ['crend_161',['crend',['../classEigen_1_1VectorwiseOp.html#a23fa202916349d11e476f459543395ef',1,'Eigen::VectorwiseOp']]],
  ['cross_162',['cross',['../group__Geometry__Module.html#ga0024b44eca99cb7135887c2aaf319d28',1,'Eigen::MatrixBase::cross()'],['../group__Geometry__Module.html#ga2fe1a2a012ce0ab0e8da6af134073039',1,'Eigen::VectorwiseOp::cross()']]],
  ['cross_20product_163',['Dot product and cross product',['../group__TutorialMatrixArithmetic.html#TutorialArithmeticDotAndCross',1,'']]],
  ['cross3_164',['cross3',['../group__Geometry__Module.html#gabde56e2a0baba550815a0b05139e4d42',1,'Eigen::MatrixBase']]],
  ['cube_165',['cube',['../classEigen_1_1ArrayBase.html#a9c51fddee43c97c2866f3ebef2777f99',1,'Eigen::ArrayBase::cube()'],['../namespaceEigen.html#a3edf0d2134ee7b830636e37f41722eec',1,'Eigen::cube()']]],
  ['cuda_20kernels_166',['Using Eigen in CUDA kernels',['../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['custom_20index_20list_167',['Custom index list',['../group__TutorialSlicingIndexing.html#TutorialSlicingCustomArray',1,'']]],
  ['custom_20scalar_20types_168',['Using custom scalar types',['../TopicCustomizing_CustomScalar.html',1,'UserManual_CustomizingEigen']]],
  ['customizing_20eigen_169',['Extending/Customizing Eigen',['../UserManual_CustomizingEigen.html',1,'index']]],
  ['cwiseabs_170',['cwiseAbs',['../classEigen_1_1ArrayBase.html#a2c0852f002c2753e15a560faa809f669',1,'Eigen::ArrayBase::cwiseAbs()'],['../classEigen_1_1MatrixBase.html#ae04b39cbc74f2e12e3609df7117b0394',1,'Eigen::MatrixBase::cwiseAbs()'],['../classEigen_1_1SparseMatrixBase.html#afc11609ee20c2e103b42f2fda9b6fd7a',1,'Eigen::SparseMatrixBase::cwiseAbs()']]],
  ['cwiseabs2_171',['cwiseAbs2',['../classEigen_1_1ArrayBase.html#a9404f0dfe9893a694a254c44b279dbdb',1,'Eigen::ArrayBase::cwiseAbs2()'],['../classEigen_1_1MatrixBase.html#aa0147ae59510af37efc4b8f79358324b',1,'Eigen::MatrixBase::cwiseAbs2()'],['../classEigen_1_1SparseMatrixBase.html#ae719d8a727660cb6469070b338499f08',1,'Eigen::SparseMatrixBase::cwiseAbs2()']]],
  ['cwisearg_172',['cwiseArg',['../classEigen_1_1ArrayBase.html#ac7b2ce549ddcfea2e56a5c0eec6404f9',1,'Eigen::ArrayBase::cwiseArg()'],['../classEigen_1_1MatrixBase.html#a198fcf7ff379919787b12575a35f5ae5',1,'Eigen::MatrixBase::cwiseArg()'],['../classEigen_1_1SparseMatrixBase.html#a7f6905341cdb093a19b9fc1550615ae1',1,'Eigen::SparseMatrixBase::cwiseArg()']]],
  ['cwisebinaryop_173',['CwiseBinaryOp',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20binaryop_2c_20lhs_2c_20rhs_20_3e_174',['CwiseBinaryOp&lt; BinaryOp, Lhs, Rhs &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fcmp_5fop_3c_20scalar_2c_20scalar_2c_20internal_3a_3acmp_5feq_20_3e_2c_20const_20derived_2c_20const_20constantreturntype_20_3e_175',['CwiseBinaryOp&lt; internal::scalar_cmp_op&lt; Scalar, Scalar, internal::cmp_EQ &gt;, const Derived, const ConstantReturnType &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fproduct_5fop_3c_20scalar1_2c_20scalar2_20_3e_2c_20const_20cwisenullaryop_3c_20internal_3a_3ascalar_5fconstant_5fop_3c_20scalar1_20_3e_2c_20plain1_20_3e_2c_20const_20product_3c_20lhs_2c_20rhs_2c_20defaultproduct_20_3e_20_3e_176',['CwiseBinaryOp&lt; internal::scalar_product_op&lt; Scalar1, Scalar2 &gt;, const CwiseNullaryOp&lt; internal::scalar_constant_op&lt; Scalar1 &gt;, Plain1 &gt;, const Product&lt; Lhs, Rhs, DefaultProduct &gt; &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fproduct_5fop_3c_20scalarbis_2c_20scalar_20_3e_2c_20const_20cwisenullaryop_3c_20internal_3a_3ascalar_5fconstant_5fop_3c_20scalarbis_20_3e_2c_20plain_20_3e_2c_20const_20product_3c_20lhs_2c_20rhs_2c_20defaultproduct_20_3e_20_3e_177',['CwiseBinaryOp&lt; internal::scalar_product_op&lt; ScalarBis, Scalar &gt;, const CwiseNullaryOp&lt; internal::scalar_constant_op&lt; ScalarBis &gt;, Plain &gt;, const Product&lt; Lhs, Rhs, DefaultProduct &gt; &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fproduct_5fop_3c_20typename_20scalarbinaryoptraits_3c_20typename_20internal_3a_3atraits_3c_20derived_20_3e_3a_3ascalar_2c_20typename_20internal_3a_3atraits_3c_20otherderived_20_3e_3a_3ascalar_20_3e_3a_3areturntype_20_3e_2c_20const_20derived_2c_20const_20otherderived_20_3e_178',['CwiseBinaryOp&lt; internal::scalar_product_op&lt; typename ScalarBinaryOpTraits&lt; typename internal::traits&lt; Derived &gt;::Scalar, typename internal::traits&lt; OtherDerived &gt;::Scalar &gt;::ReturnType &gt;, const Derived, const OtherDerived &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fquotient_5fop_3c_20complexscalar_2c_20scalar_20_3e_2c_20complexvectortype_2c_20vectortype_20_3e_179',['CwiseBinaryOp&lt; internal::scalar_quotient_op&lt; ComplexScalar, Scalar &gt;, ComplexVectorType, VectorType &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fquotient_5fop_3c_20typename_20internal_3a_3atraits_3c_20expressiontype_20_3e_3a_3ascalar_20_3e_2c_20const_20hnormalized_5fblock_2c_20const_20replicate_3c_20hnormalized_5ffactors_2c_20direction_3d_3dvertical_20_3f_20hnormalized_5fsizeminusone_20_3a1_2c_20direction_3d_3dhorizontal_20_3f_20hnormalized_5fsizeminusone_20_3a1_20_3e_20_3e_180',['CwiseBinaryOp&lt; internal::scalar_quotient_op&lt; typename internal::traits&lt; ExpressionType &gt;::Scalar &gt;, const HNormalized_Block, const Replicate&lt; HNormalized_Factors, Direction==Vertical ? HNormalized_SizeMinusOne :1, Direction==Horizontal ? HNormalized_SizeMinusOne :1 &gt; &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fsum_5fop_3c_20scalar_20_3e_2c_20const_20vectortype_2c_20const_20vectortype_20_3e_181',['CwiseBinaryOp&lt; internal::scalar_sum_op&lt; Scalar &gt;, const VectorType, const VectorType &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20internal_3a_3ascalar_5fsum_5fop_3c_20typename_20lhs_3a_3ascalar_2c_20typename_20rhs_3a_3ascalar_20_3e_2c_20const_20linearproduct_2c_20const_20constantblock_20_3e_182',['CwiseBinaryOp&lt; internal::scalar_sum_op&lt; typename Lhs::Scalar, typename Rhs::Scalar &gt;, const LinearProduct, const ConstantBlock &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20scalar_5fboolean_5fand_5fop_2c_20lhs_2c_20rhs_20_3e_183',['CwiseBinaryOp&lt; scalar_boolean_and_op, Lhs, Rhs &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20scalar_5fproduct_5fop_3c_20scalar_20_3e_2c_20const_20cwisenullaryop_3c_20scalar_5fconstant_5fop_3c_20scalar_20_3e_2c_20plain_20_3e_2c_20nestedxpr_20_3e_184',['CwiseBinaryOp&lt; scalar_product_op&lt; Scalar &gt;, const CwiseNullaryOp&lt; scalar_constant_op&lt; Scalar &gt;, Plain &gt;, NestedXpr &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20scalar_5fproduct_5fop_3c_20scalar_20_3e_2c_20nestedxpr_2c_20const_20cwisenullaryop_3c_20scalar_5fconstant_5fop_3c_20scalar_20_3e_2c_20plain_20_3e_20_3e_185',['CwiseBinaryOp&lt; scalar_product_op&lt; Scalar &gt;, NestedXpr, const CwiseNullaryOp&lt; scalar_constant_op&lt; Scalar &gt;, Plain &gt; &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20scalar_5fproduct_5fop_3c_20t1_2c_20t2_20_3e_2c_20lhs_2c_20rhs_20_3e_186',['CwiseBinaryOp&lt; scalar_product_op&lt; T1, T2 &gt;, Lhs, Rhs &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwisebinaryop_3c_20scalar_5fquotient_5fop_3c_20t1_2c_20t2_20_3e_2c_20lhs_2c_20rhs_20_3e_187',['CwiseBinaryOp&lt; scalar_quotient_op&lt; T1, T2 &gt;, Lhs, Rhs &gt;',['../classEigen_1_1CwiseBinaryOp.html',1,'Eigen']]],
  ['cwiseequal_188',['cwiseEqual',['../classEigen_1_1ArrayBase.html#ab4ea11beb213f3f43d60781a8b388309',1,'Eigen::ArrayBase::cwiseEqual(const Eigen::ArrayBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1ArrayBase.html#ab1649a24d7f548548170a181e7719649',1,'Eigen::ArrayBase::cwiseEqual(const Scalar &amp;s) const'],['../classEigen_1_1MatrixBase.html#a62a94a2188b9018002c01646babf8e27',1,'Eigen::MatrixBase::cwiseEqual(const Eigen::MatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1MatrixBase.html#a709120e3c6fd81be98e3735856564f30',1,'Eigen::MatrixBase::cwiseEqual(const Scalar &amp;s) const'],['../classEigen_1_1SparseMatrixBase.html#aadb02d0b738c528fc23ec661138728e2',1,'Eigen::SparseMatrixBase::cwiseEqual(const Eigen::SparseMatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1SparseMatrixBase.html#abbf4659b7df3458fb7491ac3132f6cdb',1,'Eigen::SparseMatrixBase::cwiseEqual(const Scalar &amp;s) const']]],
  ['cwiseinverse_189',['cwiseInverse',['../classEigen_1_1ArrayBase.html#a5c2d62bd0af0ff8b840ddbfe55d037b3',1,'Eigen::ArrayBase::cwiseInverse()'],['../classEigen_1_1MatrixBase.html#a44b11744885ab2680da4093ba0b6cbf6',1,'Eigen::MatrixBase::cwiseInverse()'],['../classEigen_1_1SparseMatrixBase.html#a703fdd06c4802869bd1682f4b06eda2c',1,'Eigen::SparseMatrixBase::cwiseInverse()']]],
  ['cwisemax_190',['cwiseMax',['../classEigen_1_1ArrayBase.html#adb75f25e7884d300a667a52e46eed34b',1,'Eigen::ArrayBase::cwiseMax(const Eigen::ArrayBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1ArrayBase.html#af1f008209eadc940b62eb232272ee4f5',1,'Eigen::ArrayBase::cwiseMax(const Scalar &amp;other) const'],['../classEigen_1_1MatrixBase.html#a366df1b789440f0aa44968599688b6af',1,'Eigen::MatrixBase::cwiseMax(const Eigen::MatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1MatrixBase.html#af37b78cfb1b900f1afea4e5a56683e46',1,'Eigen::MatrixBase::cwiseMax(const Scalar &amp;other) const'],['../classEigen_1_1SparseMatrixBase.html#add19f35b2f8dea093477d18334863c3a',1,'Eigen::SparseMatrixBase::cwiseMax(const Eigen::SparseMatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1SparseMatrixBase.html#a3f05d128caad3bd4c71e682fa09bacda',1,'Eigen::SparseMatrixBase::cwiseMax(const Scalar &amp;other) const']]],
  ['cwisemin_191',['cwiseMin',['../classEigen_1_1ArrayBase.html#a386b8f66014b0098ec070fc09447ba95',1,'Eigen::ArrayBase::cwiseMin(const Eigen::ArrayBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1ArrayBase.html#a14ca04b1ecaf2a0515823e0b706be869',1,'Eigen::ArrayBase::cwiseMin(const Scalar &amp;other) const'],['../classEigen_1_1MatrixBase.html#ae0b8b225d7181a007ba8e4910490b1dc',1,'Eigen::MatrixBase::cwiseMin(const Eigen::MatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1MatrixBase.html#a6fe61745125213ebcfff8e489dbdb513',1,'Eigen::MatrixBase::cwiseMin(const Scalar &amp;other) const'],['../classEigen_1_1SparseMatrixBase.html#a9fcf0f7207919e24aeac3e09d18ddf65',1,'Eigen::SparseMatrixBase::cwiseMin(const Eigen::SparseMatrixBase&lt; OtherDerived &gt; &amp;other) const'],['../classEigen_1_1SparseMatrixBase.html#a8611da0a32d1f3263664c10936e01e06',1,'Eigen::SparseMatrixBase::cwiseMin(const Scalar &amp;other) const']]],
  ['cwisenotequal_192',['cwiseNotEqual',['../classEigen_1_1ArrayBase.html#a9d7cbf11466eed449d5c1a1170c6e6c6',1,'Eigen::ArrayBase::cwiseNotEqual()'],['../classEigen_1_1MatrixBase.html#a2746066444c8cb44f71429eb314b39ed',1,'Eigen::MatrixBase::cwiseNotEqual()'],['../classEigen_1_1SparseMatrixBase.html#a0e3be7255e8715bdedbe9fb99333427b',1,'Eigen::SparseMatrixBase::cwiseNotEqual()']]],
  ['cwisenullaryop_193',['CwiseNullaryOp',['../classEigen_1_1CwiseNullaryOp.html',1,'Eigen']]],
  ['cwisenullaryop_3c_20internal_3a_3ascalar_5frandom_5fop_3c_20scalar_20_3e_2c_20plainobject_20_3e_194',['CwiseNullaryOp&lt; internal::scalar_random_op&lt; Scalar &gt;, PlainObject &gt;',['../classEigen_1_1CwiseNullaryOp.html',1,'Eigen']]],
  ['cwisenullaryop_3c_20scalar_5fconstant_5fop_3c_20scalar_20_3e_2c_20const_20typename_20conditional_3c_20is_5fsame_3c_20typename_20traits_3c_20expr_20_3e_3a_3axprkind_2c_20matrixxpr_20_3e_3a_3avalue_2c_20matrix_5ftype_2c_20array_5ftype_20_3e_3a_3atype_20_3e_195',['CwiseNullaryOp&lt; scalar_constant_op&lt; Scalar &gt;, const typename conditional&lt; is_same&lt; typename traits&lt; Expr &gt;::XprKind, MatrixXpr &gt;::value, matrix_type, array_type &gt;::type &gt;',['../classEigen_1_1CwiseNullaryOp.html',1,'Eigen']]],
  ['cwiseproduct_196',['cwiseProduct',['../classEigen_1_1ArrayBase.html#ab3a277666242dbd1a094eb4c795d7f88',1,'Eigen::ArrayBase::cwiseProduct()'],['../classEigen_1_1MatrixBase.html#ae30e9e69ed085b818d9c2a259662266e',1,'Eigen::MatrixBase::cwiseProduct()'],['../classEigen_1_1SparseMatrixBase.html#aa5b4224d67eb628891d38c626995dd82',1,'Eigen::SparseMatrixBase::cwiseProduct()']]],
  ['cwisequotient_197',['cwiseQuotient',['../classEigen_1_1ArrayBase.html#a81c9b639862ad028a630727f6c9727b9',1,'Eigen::ArrayBase::cwiseQuotient()'],['../classEigen_1_1MatrixBase.html#a6d99bff545377d97b3e094235c9538d4',1,'Eigen::MatrixBase::cwiseQuotient()'],['../classEigen_1_1SparseMatrixBase.html#ad69c1ef39fe6ed2d3dfefb1b27fee9bf',1,'Eigen::SparseMatrixBase::cwiseQuotient()']]],
  ['cwisesign_198',['cwiseSign',['../classEigen_1_1ArrayBase.html#adbadc43c5781488b596f2cbbe76e5ad4',1,'Eigen::ArrayBase::cwiseSign()'],['../classEigen_1_1MatrixBase.html#a315e35a856733d37bc85d9c102aa4e01',1,'Eigen::MatrixBase::cwiseSign()'],['../classEigen_1_1SparseMatrixBase.html#ae86f1aa7e8855072a1b5f6fdc6573567',1,'Eigen::SparseMatrixBase::cwiseSign()']]],
  ['cwisesqrt_199',['cwiseSqrt',['../classEigen_1_1ArrayBase.html#a5f121588f7d15e1d5edae469e52956ac',1,'Eigen::ArrayBase::cwiseSqrt()'],['../classEigen_1_1MatrixBase.html#a9a49e9a834666aa86e80f55b39926e04',1,'Eigen::MatrixBase::cwiseSqrt()'],['../classEigen_1_1SparseMatrixBase.html#a43f979e103dd39e8cac8505254d190c2',1,'Eigen::SparseMatrixBase::cwiseSqrt()']]],
  ['cwiseternaryop_200',['CwiseTernaryOp',['../classEigen_1_1CwiseTernaryOp.html',1,'Eigen']]],
  ['cwiseternaryop_3c_20ternaryop_2c_20arg1_2c_20arg2_2c_20arg3_20_3e_201',['CwiseTernaryOp&lt; TernaryOp, Arg1, Arg2, Arg3 &gt;',['../classEigen_1_1CwiseTernaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_202',['CwiseUnaryOp',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20eigen_3a_3ainternal_3a_3ascalar_5fconjugate_5fop_3c_20scalar_20_3e_2c_20const_20transpose_3c_20derived_20_3e_20_3e_203',['CwiseUnaryOp&lt; Eigen::internal::scalar_conjugate_op&lt; Scalar &gt;, const Transpose&lt; Derived &gt; &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fabs2_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_204',['CwiseUnaryOp&lt; internal::scalar_abs2_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fabs_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_205',['CwiseUnaryOp&lt; internal::scalar_abs_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5facos_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_206',['CwiseUnaryOp&lt; internal::scalar_acos_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5facosh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_207',['CwiseUnaryOp&lt; internal::scalar_acosh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5farg_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_208',['CwiseUnaryOp&lt; internal::scalar_arg_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fasin_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_209',['CwiseUnaryOp&lt; internal::scalar_asin_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fasinh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_210',['CwiseUnaryOp&lt; internal::scalar_asinh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fatan_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_211',['CwiseUnaryOp&lt; internal::scalar_atan_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fatanh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_212',['CwiseUnaryOp&lt; internal::scalar_atanh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fboolean_5fnot_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_213',['CwiseUnaryOp&lt; internal::scalar_boolean_not_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fceil_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_214',['CwiseUnaryOp&lt; internal::scalar_ceil_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fcos_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_215',['CwiseUnaryOp&lt; internal::scalar_cos_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fcosh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_216',['CwiseUnaryOp&lt; internal::scalar_cosh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fcube_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_217',['CwiseUnaryOp&lt; internal::scalar_cube_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fdigamma_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_218',['CwiseUnaryOp&lt; internal::scalar_digamma_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5ferf_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_219',['CwiseUnaryOp&lt; internal::scalar_erf_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5ferfc_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_220',['CwiseUnaryOp&lt; internal::scalar_erfc_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fexp_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_221',['CwiseUnaryOp&lt; internal::scalar_exp_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fexpm1_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_222',['CwiseUnaryOp&lt; internal::scalar_expm1_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5ffloor_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_223',['CwiseUnaryOp&lt; internal::scalar_floor_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5finverse_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_224',['CwiseUnaryOp&lt; internal::scalar_inverse_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fisfinite_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_225',['CwiseUnaryOp&lt; internal::scalar_isfinite_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fisinf_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_226',['CwiseUnaryOp&lt; internal::scalar_isinf_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fisnan_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_227',['CwiseUnaryOp&lt; internal::scalar_isnan_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flgamma_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_228',['CwiseUnaryOp&lt; internal::scalar_lgamma_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flog10_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_229',['CwiseUnaryOp&lt; internal::scalar_log10_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flog1p_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_230',['CwiseUnaryOp&lt; internal::scalar_log1p_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flog2_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_231',['CwiseUnaryOp&lt; internal::scalar_log2_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flog_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_232',['CwiseUnaryOp&lt; internal::scalar_log_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5flogistic_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_233',['CwiseUnaryOp&lt; internal::scalar_logistic_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fndtri_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_234',['CwiseUnaryOp&lt; internal::scalar_ndtri_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5frint_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_235',['CwiseUnaryOp&lt; internal::scalar_rint_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fround_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_236',['CwiseUnaryOp&lt; internal::scalar_round_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5frsqrt_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_237',['CwiseUnaryOp&lt; internal::scalar_rsqrt_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fshift_5fleft_5fop_3c_20scalar_2c_20n_20_3e_2c_20const_20derived_20_3e_238',['CwiseUnaryOp&lt; internal::scalar_shift_left_op&lt; Scalar, N &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fshift_5fright_5fop_3c_20scalar_2c_20n_20_3e_2c_20const_20derived_20_3e_239',['CwiseUnaryOp&lt; internal::scalar_shift_right_op&lt; Scalar, N &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsign_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_240',['CwiseUnaryOp&lt; internal::scalar_sign_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsin_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_241',['CwiseUnaryOp&lt; internal::scalar_sin_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsinh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_242',['CwiseUnaryOp&lt; internal::scalar_sinh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsqrt_5fop_3c_20realscalar_20_3e_2c_20const_20squarednormreturntype_20_3e_243',['CwiseUnaryOp&lt; internal::scalar_sqrt_op&lt; RealScalar &gt;, const SquaredNormReturnType &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsqrt_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_244',['CwiseUnaryOp&lt; internal::scalar_sqrt_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5fsquare_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_245',['CwiseUnaryOp&lt; internal::scalar_square_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5ftan_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_246',['CwiseUnaryOp&lt; internal::scalar_tan_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20internal_3a_3ascalar_5ftanh_5fop_3c_20scalar_20_3e_2c_20const_20derived_20_3e_247',['CwiseUnaryOp&lt; internal::scalar_tanh_op&lt; Scalar &gt;, const Derived &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20scalar_5fconjugate_5fop_3c_20scalar_20_3e_2c_20nestedxpr_20_3e_248',['CwiseUnaryOp&lt; scalar_conjugate_op&lt; Scalar &gt;, NestedXpr &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20scalar_5fopposite_5fop_3c_20scalar_20_3e_2c_20nestedxpr_20_3e_249',['CwiseUnaryOp&lt; scalar_opposite_op&lt; Scalar &gt;, NestedXpr &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryop_3c_20unaryop_2c_20argtype_20_3e_250',['CwiseUnaryOp&lt; UnaryOp, ArgType &gt;',['../classEigen_1_1CwiseUnaryOp.html',1,'Eigen']]],
  ['cwiseunaryview_251',['CwiseUnaryView',['../classEigen_1_1CwiseUnaryView.html',1,'Eigen']]],
  ['cwiseunaryview_3c_20unaryop_2c_20argtype_20_3e_252',['CwiseUnaryView&lt; UnaryOp, ArgType &gt;',['../classEigen_1_1CwiseUnaryView.html',1,'Eigen']]],
  ['cwiseunaryview_3c_20viewop_2c_20argtype_20_3e_253',['CwiseUnaryView&lt; ViewOp, ArgType &gt;',['../classEigen_1_1CwiseUnaryView.html',1,'Eigen']]]
];
