var searchData=
[
  ['efficient_20matrix_20product_20expressions_0',['Writing efficient matrix product expressions',['../../TopicWritingEfficientProductExpression.html',1,'UnclassifiedPages']]],
  ['eigen_1',['Eigen',['../namespaceEigen.html',1,'Eigen'],['../../Experimental.html',1,'Experimental parts of Eigen'],['../../TopicEigenExpressionTemplates.html',1,'Expression templates in Eigen'],['../../UserManual_CustomizingEigen.html',1,'Extending/Customizing Eigen'],['../../UserManual_UnderstandingEigen.html',1,'Understanding Eigen'],['../../TopicUsingBlasLapack.html',1,'Using BLAS/LAPACK from Eigen'],['../../TopicUsingIntelMKL.html',1,'Using Intel® MKL from Eigen'],['../../group__TopicStlContainers.html',1,'Using STL Containers with Eigen']]],
  ['eigen_20and_20multi_20threading_2',['Eigen and multi-threading',['../../TopicMultiThreading.html',1,'UserManual_Generalities']]],
  ['eigen_20in_20cmake_20projects_3',['Using Eigen in CMake Projects',['../../TopicCMakeGuide.html',1,'UserManual_Generalities']]],
  ['eigen_20in_20cuda_20kernels_4',['Using Eigen in CUDA kernels',['../../TopicCUDA.html',1,'UserManual_Generalities']]],
  ['eigen_20members_5',['Structures Having Eigen Members',['../../group__TopicStructHavingEigenMembers.html',1,'']]],
  ['eigen_20objects_6',['Fixed-size vectorizable Eigen objects',['../../group__TopicFixedSizeVectorizable.html',1,'']]],
  ['eigen_20objects_20by_20value_20to_20functions_7',['Passing Eigen objects by value to functions',['../../group__TopicPassingByValue.html',1,'']]],
  ['eigen_20on_20a_20simple_20example_8',['What happens inside Eigen, on a simple example',['../../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['eigen_20s_20unsupported_20modules_9',['Eigen&apos;s unsupported modules',['../index.html',1,'']]],
  ['eigen_20sycl_20backend_10',['Eigen SYCL Backend',['../SYCL_EIGEN.html',1,'index']]],
  ['eigen_20types_20as_20parameters_11',['Writing Functions Taking Eigen Types as Parameters',['../../TopicFunctionTakingEigenTypes.html',1,'UserManual_Generalities']]],
  ['eigen_3a_3adoxygen_12',['doxygen',['../../structEigen_1_1doxygen_1_1dense__xpr__base__dispatcher.html',1,'Eigen']]],
  ['eigen_3a_3aindexing_13',['indexing',['../../namespaceEigen_1_1indexing.html',1,'Eigen']]],
  ['eigen_3a_3amap_14',['Eigen::Map',['../../classEigen_1_1PlainObjectBase.html#a44523f8b49c90154f6195c6f04666499',1,'Eigen::PlainObjectBase::Map'],['../../classEigen_1_1PlainObjectBase.html#ade83ff019d359dc837c0f4b697eb5027',1,'Eigen::PlainObjectBase::Map'],['../../classEigen_1_1PlainObjectBase.html#a52f7d6b523cce948a7804a7aeef210f9',1,'Eigen::PlainObjectBase::Map']]],
  ['eigen_3a_3asimplicialcholeskybase_15',['SimplicialCholeskyBase',['../../structEigen_1_1SimplicialCholeskyBase_1_1keep__diag.html',1,'Eigen']]],
  ['eigen_3a_3asymbolic_16',['symbolic',['../../namespaceEigen_1_1symbolic.html',1,'Eigen']]],
  ['eigen_5fexpr_5fbinaryop_5fscalar_5freturn_5ftype_17',['EIGEN_EXPR_BINARYOP_SCALAR_RETURN_TYPE',['../../classEigen_1_1AlignedBox.html#ab4950605c14c530c2d56c75f0e253d10',1,'Eigen::AlignedBox']]],
  ['eigen_5fmake_5faligned_5foperator_5fnew_5fif_5fvectorizable_5ffixed_5fsize_18',['EIGEN_MAKE_ALIGNED_OPERATOR_NEW_IF_VECTORIZABLE_FIXED_SIZE',['../../classEigen_1_1Transform.html#a30c94c2156e9345f4bdb6cc9661e275b',1,'Eigen::Transform']]],
  ['eigenbase_19',['EigenBase',['../../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20derived_20_3e_20',['EigenBase&lt; Derived &gt;',['../../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20householdersequence_3c_20vectorstype_2c_20coeffstype_2c_20side_20_3e_20_3e_21',['EigenBase&lt; HouseholderSequence&lt; VectorsType, CoeffsType, Side &gt; &gt;',['../../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20skylinematrix_3c_20_5fscalar_2c_20_5foptions_20_3e_20_3e_22',['EigenBase&lt; SkylineMatrix&lt; _Scalar, _Options &gt; &gt;',['../../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigenbase_3c_20sparseselfadjointview_3c_20matrixtype_2c_20_5fmode_20_3e_20_3e_23',['EigenBase&lt; SparseSelfAdjointView&lt; MatrixType, _Mode &gt; &gt;',['../../structEigen_1_1EigenBase.html',1,'Eigen']]],
  ['eigensolver_24',['EigenSolver',['../../classEigen_1_1EigenSolver.html',1,'Eigen::EigenSolver&lt; typename _MatrixType &gt;'],['../../classEigen_1_1EigenSolver.html#a3af22d721a6401365881b2ef252d26aa',1,'Eigen::EigenSolver::EigenSolver()'],['../../classEigen_1_1EigenSolver.html#a7e8ab3d89ea525af5f27f1a8e805fae1',1,'Eigen::EigenSolver::EigenSolver(const EigenBase&lt; InputType &gt; &amp;matrix, bool computeEigenvectors=true)'],['../../classEigen_1_1EigenSolver.html#aa4edf56ecc178b277b75c13a2ca1089f',1,'Eigen::EigenSolver::EigenSolver(Index size)']]],
  ['eigenvalue_25',['Any eigenvalue in a certain cluster is at most matrix_function_separation() away from another eigenvalue',['../MatrixFunction_8h.html#autotoc_md125',1,'']]],
  ['eigenvalue_20in_20a_20certain_20cluster_20is_20at_20most_20matrix_5ffunction_5fseparation_20away_20from_20another_20eigenvalue_26',['Any eigenvalue in a certain cluster is at most matrix_function_separation() away from another eigenvalue',['../MatrixFunction_8h.html#autotoc_md125',1,'']]],
  ['eigenvalues_27',['eigenvalues',['../../classEigen_1_1ComplexEigenSolver.html#a021de3dc1f37d4426a639eea39f9caae',1,'Eigen::ComplexEigenSolver::eigenvalues()'],['../../classEigen_1_1EigenSolver.html#ae33fb99005024f07005ab1e409413c5f',1,'Eigen::EigenSolver::eigenvalues()'],['../../classEigen_1_1GeneralizedEigenSolver.html#a62f01cd78271efd5e39bcb24e0fe1a58',1,'Eigen::GeneralizedEigenSolver::eigenvalues()'],['../../classEigen_1_1MatrixBase.html#a30430fa3d5b4e74d312fd4f502ac984d',1,'Eigen::MatrixBase::eigenvalues()'],['../../classEigen_1_1SelfAdjointEigenSolver.html#a469df89748bdc2886b3b9f425050e408',1,'Eigen::SelfAdjointEigenSolver::eigenvalues()'],['../../classEigen_1_1SelfAdjointView.html#ad4f34424b4ea12de9bbc5623cb938b4f',1,'Eigen::SelfAdjointView::eigenvalues()']]],
  ['eigenvalues_20in_20different_20clusters_20is_20more_20than_20matrix_5ffunction_5fseparation_28',['The distance between two eigenvalues in different clusters is more than matrix_function_separation().',['../MatrixFunction_8h.html#autotoc_md126',1,'']]],
  ['eigenvalues_20module_29',['Eigenvalues module',['../../group__Eigenvalues__Module.html',1,'']]],
  ['eigenvaluesonly_30',['EigenvaluesOnly',['../../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9afd06633f270207c373875fd7ca03e906',1,'Eigen::EigenvaluesOnly'],['../../group__enums.html#ggae3e239fb70022eb8747994cf5d68b4a9afd06633f270207c373875fd7ca03e906',1,'Eigen::EigenvaluesOnly']]],
  ['eigenvaluesreturntype_31',['EigenvaluesReturnType',['../../classEigen_1_1SelfAdjointView.html#a8ae92703d920130b38a383f8b165146c',1,'Eigen::SelfAdjointView']]],
  ['eigenvaluetype_32',['EigenvalueType',['../../classEigen_1_1ComplexEigenSolver.html#ad3a663b1ff5200a098dabbbf9b7162b1',1,'Eigen::ComplexEigenSolver::EigenvalueType'],['../../classEigen_1_1EigenSolver.html#adc446bcb60572758fa64515f2825db62',1,'Eigen::EigenSolver::EigenvalueType'],['../../classEigen_1_1GeneralizedEigenSolver.html#ad59af178acc401f1bc4e330ef80f286d',1,'Eigen::GeneralizedEigenSolver::EigenvalueType']]],
  ['eigenvectors_33',['eigenvectors',['../../classEigen_1_1ComplexEigenSolver.html#a3f455e33d41cde76f622f9b21f536be3',1,'Eigen::ComplexEigenSolver::eigenvectors()'],['../../classEigen_1_1EigenSolver.html#a66288022802172e3ee059283b26201d7',1,'Eigen::EigenSolver::eigenvectors()'],['../../classEigen_1_1SelfAdjointEigenSolver.html#a7262e7a4a8c4b87b4a8d8e6937ba972c',1,'Eigen::SelfAdjointEigenSolver::eigenvectors()']]],
  ['eigenvectorstype_34',['EigenvectorsType',['../../classEigen_1_1EigenSolver.html#aa140354e2f7d5ce34c6488c39e19f2c2',1,'Eigen::EigenSolver::EigenvectorsType'],['../../classEigen_1_1GeneralizedEigenSolver.html#afffec018dbb2d87b4c09b6acecbb79cd',1,'Eigen::GeneralizedEigenSolver::EigenvectorsType']]],
  ['eigenvectortype_35',['EigenvectorType',['../../classEigen_1_1ComplexEigenSolver.html#a67cd4d20590abfd86b2639c4c8ea3dd6',1,'Eigen::ComplexEigenSolver']]],
  ['element_20wise_20operations_36',['Element Wise Operations',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md62',1,'Binary Element Wise Operations'],['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md48',1,'Unary Element Wise Operations']]],
  ['elements_37',['Accessing Tensor Elements',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md8',1,'']]],
  ['elsederived_20elsetensor_38',['Selection (select(const ThenDerived&amp; thenTensor, const ElseDerived&amp; elseTensor)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md70',1,'']]],
  ['elsetensor_39',['Selection (select(const ThenDerived&amp; thenTensor, const ElseDerived&amp; elseTensor)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md70',1,'']]],
  ['end_40',['end',['../../classEigen_1_1DenseBase.html#ae71d079e16d91360d10066b316b48485',1,'Eigen::DenseBase::end()'],['../../classEigen_1_1DenseBase.html#ab34773522e43bfb02e9cf652d7b5dd60',1,'Eigen::DenseBase::end() const'],['../../classEigen_1_1VectorwiseOp.html#a9d189042b8322e40772d41c63b9d3bb5',1,'Eigen::VectorwiseOp::end()'],['../../classEigen_1_1VectorwiseOp.html#ad3b0dcb34bb4903ffa1ab3634188ecff',1,'Eigen::VectorwiseOp::end() const']]],
  ['endfill_41',['endFill',['../classEigen_1_1DynamicSparseMatrix.html#aa806b3dde0a055844110610907b016f3',1,'Eigen::DynamicSparseMatrix']]],
  ['enumerations_42',['Enumerations',['../../group__enums.html',1,'']]],
  ['epsilon_43',['epsilon',['../classEigen_1_1LevenbergMarquardt.html#aac799068926ca0bc3387b2dc5c0eb113',1,'Eigen::LevenbergMarquardt']]],
  ['erf_44',['erf',['../../classEigen_1_1ArrayBase.html#aa66c066b3ae58005ede6df1008cbdb63',1,'Eigen::ArrayBase::erf()'],['../../namespaceEigen.html#a99d3d46bf05159534e33bdb770dc51d1',1,'Eigen::erf()']]],
  ['erfc_45',['erfc',['../../classEigen_1_1ArrayBase.html#a61cd99ac8047071026baaa370ef8dff1',1,'Eigen::ArrayBase::erfc()'],['../../namespaceEigen.html#abf2bdec1823f6161e7b6242cda04cd47',1,'Eigen::erfc()']]],
  ['error_46',['error',['../../classEigen_1_1IterativeSolverBase.html#a117c241af3fb1141ad0916a3cf3157ec',1,'Eigen::IterativeSolverBase']]],
  ['essentialvector_47',['essentialVector',['../../classEigen_1_1HouseholderSequence.html#ac91cf37b0cbea9e504c89e021fd289ba',1,'Eigen::HouseholderSequence']]],
  ['euler_20angles_20ranges_20in_20conversions_48',['Euler angles ranges in conversions',['../classEigen_1_1EulerAngles.html#autotoc_md117',1,'']]],
  ['euler_20systems_49',['Euler systems',['../classEigen_1_1EulerSystem.html#autotoc_md122',1,'Intrinsic vs extrinsic Euler systems'],['../classEigen_1_1EulerSystem.html#autotoc_md121',1,'Types of Euler systems']]],
  ['euler_5fx_50',['EULER_X',['../group__EulerAngles__Module.html#ggae614aa7cdd687fb5c421a54f2ce5c361a11e1ea88cbe04a6fc077475d515d0b38',1,'Eigen']]],
  ['euler_5fy_51',['EULER_Y',['../group__EulerAngles__Module.html#ggae614aa7cdd687fb5c421a54f2ce5c361aee756a2b63043248f3d83541386c266b',1,'Eigen']]],
  ['euler_5fz_52',['EULER_Z',['../group__EulerAngles__Module.html#ggae614aa7cdd687fb5c421a54f2ce5c361a95187b9943820cca5edc4bc96b3c08be',1,'Eigen']]],
  ['eulerangles_53',['EulerAngles',['../classEigen_1_1EulerAngles.html',1,'Eigen::EulerAngles&lt; _Scalar, _System &gt;'],['../classEigen_1_1EulerAngles.html#a47be9344fbd4a5b34df45486cfaf1e2b',1,'Eigen::EulerAngles::EulerAngles()'],['../classEigen_1_1EulerAngles.html#a765135b6e5d35248517b4268046840b6',1,'Eigen::EulerAngles::EulerAngles(const Scalar &amp;alpha, const Scalar &amp;beta, const Scalar &amp;gamma)'],['../classEigen_1_1EulerAngles.html#a4f212a178fd75ac9e53569e7c1d97e84',1,'Eigen::EulerAngles::EulerAngles(const Scalar *data)'],['../classEigen_1_1EulerAngles.html#aa7d02f35a984118d4c157a63915bd216',1,'Eigen::EulerAngles::EulerAngles(const MatrixBase&lt; Derived &gt; &amp;other)'],['../classEigen_1_1EulerAngles.html#a22539c574d7b6ca4577691f533f60061',1,'Eigen::EulerAngles::EulerAngles(const RotationBase&lt; Derived, 3 &gt; &amp;rot)']]],
  ['eulerangles_54',['eulerAngles',['../../group__Geometry__Module.html#ga17994d2e81b723295f5bc3b1f862ed3b',1,'Eigen::MatrixBase::eulerAngles()'],['../../group__Geometry__Module.html#ga17994d2e81b723295f5bc3b1f862ed3b',1,'eulerAngles(Index a0, Index a1, Index a2) const(Global Namespace)']]],
  ['eulerangles_20module_55',['EulerAngles module',['../group__EulerAngles__Module.html',1,'']]],
  ['eulerangles_3c_20double_2c_20eulersystemxyx_20_3e_56',['EulerAngles&lt; double, EulerSystemXYX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemxyz_20_3e_57',['EulerAngles&lt; double, EulerSystemXYZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemxzx_20_3e_58',['EulerAngles&lt; double, EulerSystemXZX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemxzy_20_3e_59',['EulerAngles&lt; double, EulerSystemXZY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemyxy_20_3e_60',['EulerAngles&lt; double, EulerSystemYXY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemyxz_20_3e_61',['EulerAngles&lt; double, EulerSystemYXZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemyzx_20_3e_62',['EulerAngles&lt; double, EulerSystemYZX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemyzy_20_3e_63',['EulerAngles&lt; double, EulerSystemYZY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemzxy_20_3e_64',['EulerAngles&lt; double, EulerSystemZXY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemzxz_20_3e_65',['EulerAngles&lt; double, EulerSystemZXZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemzyx_20_3e_66',['EulerAngles&lt; double, EulerSystemZYX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20double_2c_20eulersystemzyz_20_3e_67',['EulerAngles&lt; double, EulerSystemZYZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemxyx_20_3e_68',['EulerAngles&lt; float, EulerSystemXYX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemxyz_20_3e_69',['EulerAngles&lt; float, EulerSystemXYZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemxzx_20_3e_70',['EulerAngles&lt; float, EulerSystemXZX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemxzy_20_3e_71',['EulerAngles&lt; float, EulerSystemXZY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemyxy_20_3e_72',['EulerAngles&lt; float, EulerSystemYXY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemyxz_20_3e_73',['EulerAngles&lt; float, EulerSystemYXZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemyzx_20_3e_74',['EulerAngles&lt; float, EulerSystemYZX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemyzy_20_3e_75',['EulerAngles&lt; float, EulerSystemYZY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemzxy_20_3e_76',['EulerAngles&lt; float, EulerSystemZXY &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemzxz_20_3e_77',['EulerAngles&lt; float, EulerSystemZXZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemzyx_20_3e_78',['EulerAngles&lt; float, EulerSystemZYX &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['eulerangles_3c_20float_2c_20eulersystemzyz_20_3e_79',['EulerAngles&lt; float, EulerSystemZYZ &gt;',['../classEigen_1_1EulerAngles.html',1,'Eigen']]],
  ['euleraxis_80',['EulerAxis',['../group__EulerAngles__Module.html#gae614aa7cdd687fb5c421a54f2ce5c361',1,'Eigen']]],
  ['eulersystem_81',['EulerSystem',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fx_2c_20euler_5fy_2c_20euler_5fx_20_3e_82',['EulerSystem&lt; EULER_X, EULER_Y, EULER_X &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fx_2c_20euler_5fy_2c_20euler_5fz_20_3e_83',['EulerSystem&lt; EULER_X, EULER_Y, EULER_Z &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fx_2c_20euler_5fz_2c_20euler_5fx_20_3e_84',['EulerSystem&lt; EULER_X, EULER_Z, EULER_X &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fx_2c_20euler_5fz_2c_20euler_5fy_20_3e_85',['EulerSystem&lt; EULER_X, EULER_Z, EULER_Y &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fy_2c_20euler_5fx_2c_20euler_5fy_20_3e_86',['EulerSystem&lt; EULER_Y, EULER_X, EULER_Y &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fy_2c_20euler_5fx_2c_20euler_5fz_20_3e_87',['EulerSystem&lt; EULER_Y, EULER_X, EULER_Z &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fy_2c_20euler_5fz_2c_20euler_5fx_20_3e_88',['EulerSystem&lt; EULER_Y, EULER_Z, EULER_X &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fy_2c_20euler_5fz_2c_20euler_5fy_20_3e_89',['EulerSystem&lt; EULER_Y, EULER_Z, EULER_Y &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fz_2c_20euler_5fx_2c_20euler_5fy_20_3e_90',['EulerSystem&lt; EULER_Z, EULER_X, EULER_Y &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fz_2c_20euler_5fx_2c_20euler_5fz_20_3e_91',['EulerSystem&lt; EULER_Z, EULER_X, EULER_Z &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fz_2c_20euler_5fy_2c_20euler_5fx_20_3e_92',['EulerSystem&lt; EULER_Z, EULER_Y, EULER_X &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eulersystem_3c_20euler_5fz_2c_20euler_5fy_2c_20euler_5fz_20_3e_93',['EulerSystem&lt; EULER_Z, EULER_Y, EULER_Z &gt;',['../classEigen_1_1EulerSystem.html',1,'Eigen']]],
  ['eval_94',['eval',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md112',1,'&lt;Operation&gt;     eval()'],['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md15',1,'Calling eval().'],['../../classEigen_1_1symbolic_1_1BaseExpr.html#a4149f50157823063e59c18ce04ed2496',1,'Eigen::symbolic::BaseExpr::eval()'],['../../classEigen_1_1DenseBase.html#aa73e57a2f0f7cfcb4ad4d55ea0b6414b',1,'Eigen::DenseBase::eval()'],['../../classEigen_1_1SparseMatrixBase.html#adef28adeb655eacfc605255b25db0282',1,'Eigen::SparseMatrixBase::eval()'],['../classEigen_1_1SkylineMatrixBase.html#a16908a5c95b520da77e42996aff9c07c',1,'Eigen::SkylineMatrixBase::eval()']]],
  ['evalbeforeassigningbit_95',['EvalBeforeAssigningBit',['../../group__flags.html#ga0972b20dc004d13984e642b3bd12532e',1,'Eigen::EvalBeforeAssigningBit'],['../../group__flags.html#ga0972b20dc004d13984e642b3bd12532e',1,'Eigen::EvalBeforeAssigningBit']]],
  ['evalbeforenestingbit_96',['EvalBeforeNestingBit',['../../group__flags.html#gaa34e83bae46a8eeae4e69ebe3aaecbed',1,'Eigen::EvalBeforeNestingBit'],['../../group__flags.html#gaa34e83bae46a8eeae4e69ebe3aaecbed',1,'Eigen::EvalBeforeNestingBit']]],
  ['evalto_97',['evalTo',['../../classEigen_1_1TriangularBase.html#a604d4f76a376ced36f8b9c3374c76c3e',1,'Eigen::TriangularBase::evalTo()'],['../classEigen_1_1KroneckerProduct.html#a10f65aca36ed69da354e70b300b5a223',1,'Eigen::KroneckerProduct::evalTo()'],['../classEigen_1_1KroneckerProductSparse.html#a8b7269c23294765e0965b70b5af2557b',1,'Eigen::KroneckerProductSparse::evalTo()'],['../structEigen_1_1MatrixExponentialReturnValue.html#a3dd2c65c7c6cdc41ab17415ee11899a0',1,'Eigen::MatrixExponentialReturnValue::evalTo()'],['../classEigen_1_1MatrixFunctionReturnValue.html#a202d594ae254e3ea5420ff95d9f03a67',1,'Eigen::MatrixFunctionReturnValue::evalTo()'],['../classEigen_1_1MatrixLogarithmReturnValue.html#ac17537a51ce53a44746fabd7a83d29d3',1,'Eigen::MatrixLogarithmReturnValue::evalTo()'],['../classEigen_1_1MatrixPowerParenthesesReturnValue.html#af91430ff248b714158cfba4301cc0e2b',1,'Eigen::MatrixPowerParenthesesReturnValue::evalTo()'],['../classEigen_1_1MatrixPowerReturnValue.html#a5f15ad16576debad4d4cc0798ff63172',1,'Eigen::MatrixPowerReturnValue::evalTo()'],['../classEigen_1_1MatrixComplexPowerReturnValue.html#ac7a7947bc6cad6554d31b08b847bc6dd',1,'Eigen::MatrixComplexPowerReturnValue::evalTo()'],['../classEigen_1_1MatrixSquareRootReturnValue.html#a97577165569edcf19429c7748b670e51',1,'Eigen::MatrixSquareRootReturnValue::evalTo()']]],
  ['evaltolazy_98',['evalToLazy',['../../classEigen_1_1TriangularBase.html#ab8db3e55eee50cdc56650b3498e235eb',1,'Eigen::TriangularBase::evalToLazy()'],['../../classEigen_1_1TriangularViewImpl_3_01__MatrixType_00_01__Mode_00_01Dense_01_4.html#ad192611ac19bf181150ca1dbd3ad699e',1,'Eigen::TriangularViewImpl&lt; _MatrixType, _Mode, Dense &gt;::evalToLazy()']]],
  ['evaluated_99',['Evaluated',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md17',1,'Controlling How Expressions Are Evaluated'],['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md13',1,'Controlling When Expression are Evaluated']]],
  ['evaluating_20on_20gpu_100',['Evaluating On GPU',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md20',1,'']]],
  ['evaluating_20with_20a_20thread_20pool_101',['Evaluating with a Thread Pool',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md19',1,'']]],
  ['evaluating_20with_20the_20defaultdevice_102',['Evaluating With the DefaultDevice',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md18',1,'']]],
  ['evaluation_20and_20aliasing_103',['Lazy Evaluation and Aliasing',['../../TopicLazyEvaluation.html',1,'UserManual_UnderstandingEigen']]],
  ['example_104',['Example',['../classEigen_1_1EulerAngles.html#autotoc_md119',1,'']]],
  ['example_105',['What happens inside Eigen, on a simple example',['../../TopicInsideEigenExample.html',1,'UserManual_UnderstandingEigen']]],
  ['examples_106',['Examples',['../group__NonLinearOptimization__Module.html#examples',1,'']]],
  ['exp_107',['exp',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md54',1,'&lt;Operation&gt; exp()'],['../../classEigen_1_1ArrayBase.html#a555df413a093a7dea1bf59253189c815',1,'Eigen::ArrayBase::exp()'],['../../classEigen_1_1MatrixBase.html#a3da5e87e1c395b477b1f79cbb8a5cf69',1,'Eigen::MatrixBase::exp()'],['../../namespaceEigen.html#a2c2f944282abd2cc2a23ef62fe4ddd29',1,'Eigen::exp()']]],
  ['experimental_20parts_20of_20eigen_108',['Experimental parts of Eigen',['../../Experimental.html',1,'UnclassifiedPages']]],
  ['explanation_20of_20the_20assertion_20on_20unaligned_20arrays_109',['Explanation of the assertion on unaligned arrays',['../../group__TopicUnalignedArrayAssert.html',1,'']]],
  ['expm1_110',['expm1',['../../classEigen_1_1ArrayBase.html#a5b3a8efed7e0a163b414c2b57b399cb5',1,'Eigen::ArrayBase::expm1()'],['../../namespaceEigen.html#a235e4f5f6dbb4bb1aca26ed6f80a4ad5',1,'Eigen::expm1()']]],
  ['exponent_111',['&lt;Operation&gt; pow(Scalar exponent)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md57',1,'']]],
  ['expression_20are_20evaluated_112',['Controlling When Expression are Evaluated',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md13',1,'']]],
  ['expression_20templates_20in_20eigen_113',['Expression templates in Eigen',['../../TopicEigenExpressionTemplates.html',1,'UnclassifiedPages']]],
  ['expression_20type_114',['Adding a new expression type',['../../TopicNewExpressionType.html',1,'UserManual_CustomizingEigen']]],
  ['expressions_115',['expressions',['../../TopicCustomizing_NullaryExpr.html',1,'Matrix manipulation via nullary-expressions'],['../../TopicWritingEfficientProductExpression.html',1,'Writing efficient matrix product expressions']]],
  ['expressions_20are_20evaluated_116',['Controlling How Expressions Are Evaluated',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md17',1,'']]],
  ['extend_117',['extend',['../../classEigen_1_1AlignedBox.html#ad8e1b5d6548371d877c0dd613a7e7ca0',1,'Eigen::AlignedBox::extend(const AlignedBox &amp;b)'],['../../classEigen_1_1AlignedBox.html#a0ad4167a69dafdfbf68c349c4593a4a1',1,'Eigen::AlignedBox::extend(const MatrixBase&lt; Derived &gt; &amp;p)']]],
  ['extending_20customizing_20eigen_118',['Extending/Customizing Eigen',['../../UserManual_CustomizingEigen.html',1,'index']]],
  ['extending_20matrixbase_20and_20other_20classes_119',['Extending MatrixBase (and other classes)',['../../TopicCustomizing_Plugins.html',1,'UserManual_CustomizingEigen']]],
  ['extents_120',['&lt;Operation&gt; slice(const StartIndices&amp; offsets, const Sizes&amp; extents)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md102',1,'']]],
  ['exteriordistance_121',['exteriorDistance',['../../classEigen_1_1AlignedBox.html#afb3b43bab1d84a95e7a515ca854cda70',1,'Eigen::AlignedBox::exteriorDistance(const AlignedBox &amp;b) const'],['../../classEigen_1_1AlignedBox.html#a3915f625f0e57029ea27ace34aff29b2',1,'Eigen::AlignedBox::exteriorDistance(const MatrixBase&lt; Derived &gt; &amp;p) const']]],
  ['extract_5fimage_5fpatches_20const_20index_20patch_5frows_20const_20index_20patch_5fcols_20const_20index_20row_5fstride_20const_20index_20col_5fstride_20const_20paddingtype_20padding_5ftype_122',['&lt;Operation&gt;  extract_image_patches(const Index patch_rows, const Index patch_cols, const Index row_stride, const Index col_stride, const PaddingType padding_type)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md109',1,'']]],
  ['extract_5fpatches_20const_20patchdims_20patch_5fdims_123',['&lt;Operation&gt;  extract_patches(const PatchDims&amp; patch_dims)',['..//builddir/build/BUILD/eigen3-3.4.0-build/eigen-3.4.0/unsupported/Eigen/CXX11/src/Tensor/README.md#autotoc_md108',1,'']]],
  ['extrinsic_20euler_20systems_124',['Intrinsic vs extrinsic Euler systems',['../classEigen_1_1EulerSystem.html#autotoc_md122',1,'']]]
];
